Introduction to RPS Help

RPS is a Windows®-based account-management and panel programming utility designed to remotely set up and program specific control panels.

About this Help File

This Help File is divided into three major sections:

  • Part I: Administration: This section covers those tasks normally associated to the application's Administrator. These tasks include managing the location of data files, creating and maintaining the list of operators and controlling their security levels and overseeing the functionality of the application.

  • Part II: Operation: This section covers the day-to-day operation of RPS to complete normal tasks, such as creating and updating accounts and programming and troubleshooting control panels.

  • Part III: Panel Programming: This section covers creating a program account for a control panel

In addition to this Help file, please review the Installation Manual and the documentation that accompanied the specific control panel with which you are working.

The following information explains how to use this help file.

Toolbar Buttons

Button | Description
 | Click this button to hide the Navigation Pane (Contents, Index, Search tabs). Only the help topic is visible.
 | When the Hide button is clicked, the Show button takes its place. Click this button to make the Navigation Pane visible.
 | Click this button to return to the previously viewed topic.
 | After clicking the Back button, click this button to return to the previously viewed topic.
 | Click this button to print. Choose from "Print the selected topic," or "Print the selected heading and all subtopics," which prints all topics in the selected Table of Contents book.

Tabs

  • Contents Tab: This tab displays the help file topics in a book-oriented table of contents format. Click a book icon to open it and then click a topic icon to view the topic.

  • Index Tab: This tab displays the index terms in alphabetical order. Select a topic from the list or type in a keyword to find the topic(s) containing that keyword.

  • Search Tab: Use this tab to find a keyword. Enter a keyword in the field and then click the List Topics button to display topics that contain the specified keyword.

Jump Links

Jump links bring you to a new topic page. For example, click Minimum System Requirements to view the Minimum System Requirements page of this help file.

Help File Dimensions

The height and width of the help file are adjustable. Move your cursor to the top/bottom or left/right border until it turns into a double arrow. Click and drag until the desired size is reached.

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


RPS Minimum System Requirements

Item

Description

Processor

Pentium® III, 800 MHz or faster

Operating System

  • Microsoft® Windows® 2000 Professional with SP4

  • Windows 2000 Server with SP4

  • Windows 2003 Server

  • Windows XP Professional with SP2

  • Windows XP Home Edition

Note: The minimum system requirements are different for all versions of Microsoft Vista. Refer to Minimum System Requirements for RPS and SQL Express on a Vista PC.

RAM

256 MB

Hard Drive Space

Approximately 250 MB for RPS installation. Accounts and history require additional hard drive space.

Video

VGA monitor capable of supporting 1,024 x 768 resolution. RPS supports 24-bit color palettes and lower. For Windows XP, set the font settings to Normal Fonts.

Modems

The Release Notes included with this software might include corrections or modifications for modem strings. Also, this software allows the administrator to configure and use most major brands and types of modems.

Ports

One serial port for modem communication and one parallel port for printer connections.

Browser

Microsoft® Internet Explorer version 6 or greater.

Software

Microsoft® .NET 2.0 Framework


Minimum System Requirements for SQL Express Only

Item

Description

Processor

Pentium III Compatible or higher

Minimum: 500 MHz

Recommended: 1 GHz or higher

Operating System

  • Microsoft® Windows® Vista Ultimate

  • Windows Vista Home Premium

  • Windows Vista Home Basic

  • Windows Vista Enterprise

  • Windows Vista Business

  • Windows Server 2003 SP1

  • Windows Server 2003 Enterprise Edition SP1

  • Windows Server 2003 Datacenter Edition SP1

  • Windows Small Business Server 2003 Standard Edition SP1

  • Windows Small Business Server 2003 Premium Edition SP1

  • Windows XP Professional SP2

  • Windows XP Home Edition SP2

  • Windows XP Tablet Edition SP2

  • Windows XP Media Edition SP2

  • Windows 2000 Professional Edition SP4

  • Windows 2000 Server Edition SP4

  • Windows 2000 Advanced Edition SP4

  • Windows 2000 Datacenter Server Edition SP4

RAM

Minimum: 192 MB

Recommended: 512 MB or higher

Hard Drive Space

600 MB free space

Ports

One serial port for modem communication and one parallel port for printer connections.

Browser

Microsoft Internet Explorer version 6 or greater.

Software

  • .NET 2.0: For installation information, refer to Installing .NET Framework 2.0.

  • Windows Installer 3.1: For installation information, refer to Windows Installer 3.1.

  • MDAC: Required for Windows 2000 installations only. For installation information, refer to Installing MDAC.


RPS and SQL Express on the Same PC Minimum Requirements

Item

Description

Processor

Pentium IV

Operating System

  • Microsoft® Windows® 2000 Professional with SP4

  • Windows 2000 Server with SP4

  • Windows 2003 Server

  • Windows XP Professional with SP2

  • Windows XP Home Edition

Note: The minimum system requirements are different for all versions of Microsoft Vista. Refer to Minimum System Requirements for RPS and SQL Express on a Vista PC.

RAM

Minimum: 512 MB

Recommended: 1 GB or higher

Hard Drive Space

Approximately 512 MB for RPS installation. Accounts and history require additional hard drive space.

Video

VGA monitor capable of supporting 1,024 x 768 resolution. RPS supports 24-bit color palettes and lower. For Windows XP, set the font settings to Normal Fonts.

Modems

The Release Notes included with this software might include corrections or modifications for modem strings. Also, this software allows the administrator to configure and use most major brands and types of modems.

Ports

One serial port for modem communication and one parallel port for printer connections.

Browser

Microsoft® Internet Explorer version 6 or greater.

Software

  • .NET 2.0: For installation information, refer to Installing .NET Framework 2.0.

  • Windows Installer 3.1: For installation information, refer to Windows Installer 3.1.

  • MDAC: Required for Windows 2000 installations only. For installation information, refer to Installing MDAC.


Minimum System Requirements for RPS and SQL Express on a Vista PC

Item

Description

Processor

1 GHz 32-bit (x86) processor

Operating System

Microsoft® Windows® Vista (all versions)

RAM

Minimum: 512 MB

Recommended: 1 GB or higher

Hard Drive Space

20 GB hard drive with at least 15 GB of available space.

Video

VGA monitor capable of supporting 1,024 x 768 resolution. RPS supports 24-bit color palettes and lower. Set the font settings to Normal Fonts.

Modems

The Release Notes included with this software might include corrections or modifications for modem strings. Also, this software allows the Administrator to configure and use most major brands and types of modems.

Ports

One serial port for modem communication and one parallel port for printer connections.

Browser

Microsoft Internet Explorer version 6 or greater.

Software

  • .NET 2.0: For installation information, refer to Installing .NET Framework 2.0.

  • Windows Installer 3.1: For installation information, refer to Windows Installer 3.1.


Installing a Modem

When using an internal modem, consult the documentation accompanying your modem for physical installation.


Protecting AC Power and Phone Lines

Protect your hardware and data from costly damage by protecting the AC power source and the phone line for the modem. Several manufacturers offer devices that provide combined AC and telephone line protection. Contact your computer dealer for more information on these devices.


Installing RPS

  1. Insert the RPS CD-ROM into your CD-ROM drive. The RPS startup program should automatically start.

  2. If the startup program does not automatically start:

    1. Select Start > Run…

    2. At the prompt, type: X:\Winopen rps_menu.hta ("X" = the drive letter assigned to your CD-ROM drive.)

  3. When the startup window opens, select a language from the list provided. An instruction window opens in the selected language.

From the instruction window, you can open the RPS documentation and install RPS.

  4. Follow the steps listed on the instruction window for installing each component required for RPS.

Note

NOTICE!

For new installations of RPS 5.x, you must install Microsoft .NETTM Framework 2.0. If you are upgrading or re-installing RPS 5.x, install only RPS.


Installing RPS Together with SQL Express

Note

NOTICE!

If SQL Express is already installed, you do not need to install SQL Server 2005.

If SQL Server 2005 is already installed, you do not need to install SQL Express.


Prerequisites for a New Installation

Use the following steps to install RPS for the first time, or to replace a previous version that was removed using Add/Remove Programs.


Windows Installer 3.1

Note

NOTICE!

Windows Installer 3.1 is only needed on Windows® 2000 and Windows® XP SP2 operating systems.

  1. Select the Windows Installer 3.1 from the RPS installation CD-ROM, or select Install Windows Installer 3.1 from the RPS instruction dialog.

  2. The Windows Installer 3.1 welcome dialog opens.

    Click Next.

  3. The License Agreement dialog opens.

    Click I Agree, then click Next.

  4. The Updating Your System dialog shows the status of the installation.

  5. When the installation completes, click Finish to restart the PC.


Installing .NET Framework 2.0

Note

NOTICE!

.NET Framework 2.0 is not required for Windows® Vista operating systems.

  1. Select Install .NET Framework 2.0 from the RPS installation CD-ROM, or select Install .NET Framework 2.0 from the RPS instruction dialog.

  2. The Microsoft .NET Framework 2.0 Setup welcome dialog opens.

    Click Next.

  3. The End-User License Agreement dialog opens.

    Select I accept the terms of the License Agreement, then click Install.

  4. The Installing Components dialog show the installation progress.

  5. When the Setup Complete dialog opens, click Finish.


Installing MDAC

Note

NOTICE!

MDAC is required only for Windows 2000 installations.

  1. Select the MDAC installer from the RPS CD-ROM, or select Install Microsoft Data Access Components from the RPS instruction dialog.

  2. The End User License Agreement dialog opens.

    Select I accept all of the terms of the preceding license agreement, then click Next.

  3. The Installing the Software dialog opens.

    Click Finish.

  4. When the Setup is Complete dialog opens, click Close.


Installing SQL Express

  1. Select the SQL Express installer from the RPS installation CD-ROM, or select Install Microsoft SQL Server 2005 Express SP2 from the RPS instruction dialog. The Extracting Files dialog shows briefly.

  2. The End User License Agreement dialog opens.

    Select I accept the licensing terms and conditions, then click Next.

  3. The Installing Prerequisites dialog opens,

    Click Install.

    The dialog shows the progress of the installation.

  4. The Microsoft SQL Server Installation Wizard welcome screen opens.

    Click Next.

  5. When the System Configuration Check dialog finishes, click Next.

  6. The Microsoft SQL Server Installation dialog shows the status of the installation.

    When the installation finishes, click Next.

  7. The Registration Information dialog opens.

    Click Next.

  8. The Feature Selection dialog opens:

    1. Click the X next to Connectivity Components.

    2. Select Entire feature will be installed on local hard drive.

    3. Click Next.

  9. The Authentication Mode dialog opens:

    1. Select Mixed Mode.

    2. Type a SQL Server password in both password fields.

    3. Click Next.

Note

NOTICE!

You will need the SQL Server password later when logging into RPS. The password is case sensitive.

  10. The Configuration Options dialog opens.

    Select Enable User Instances, then click Next.

  11. The Error and Usage Report Settings dialog opens.

    Click Next.

  12. The Ready to Install dialog opens.

    Click Install.

  13. The Setup Progress dialog opens.

    When the installation is finished, click Next.

  14. The Completing Microsoft SQL Server 2005 Setup dialog opens.

    Click Finish.


Installing SQL Server Management Studio Express

  1. Select the SQL Server Management Studio Express installer from the RPS installation CD-ROM, or select Install SQL Server Management Studio Express from the RPS instruction dialog.

  2. The SQL Server Management Studio Express Setup dialog opens.

    Click Next.

  3. The License Agreement dialog opens.

    Select I accept the terms in the license agreement, then click Next.

  4. The Registration Information dialog opens.

    Click Next.

  5. The Feature Selection dialog opens.

    Click Next.

  6. The Ready to Install the Program dialog opens.

    Click Install.

  7. When the installation finishes, click Finish.

Note

NOTICE!

Networking protocols are disabled by default in SQL Server Express. If someone simply installs SQL Server Express and chooses all the defaults, SQL Server Express can only have connections originating on the local machine where SQL Server is installed.

To enable SQL Server Express to accept remote connections, configure SQL Server Express to listen on TCP/IP:

  • Launch the SQL Server Configuration Manager from the Microsoft SQL Server 2005 program menu.

  • Click the Protocols for SQLEXPRESS node.

  • Right-click on TCP/IP in the list of protocols, then select Enable.

  • In the SQL Server Configuration Manager, click the SQL Server 2005 Services node.

  • Right-click on SQL Server Browser and select Properties.

  • Click the Start button to start the SQL Server Browser.

  • Select the Service tab, and set Sart Mode to Automatic.


Installing RPS with SQL Server or SQL Express

Note

NOTICE!

If SQL Express is already installed, you do not need to install SQL Server 2005.

If SQL Server 2005 is already installed, you do not need to install SQL Express.


New Installations for Standalone PCs

    Use the following steps on a standalone PC to install RPS for the first time, or to replace a previous version that was removed using Add/Remove Programs.

  1. Unless the PC already has SQL Express installed, install SQL Express from the RPS CD-ROM. Refer to Installing RPS Together with SQL Express.

  2. Select the RPS installer from the RPS installation CD-ROM, or select Install RPS from the RPS instruction dialog.

  3. Select your setup language preference, then click OK.

    The RPS InstallShield® Wizard opens.

  4. When the Welcome dialog opens, click Next.

  5. The Choose Destination Location dialog opens.

    If the default directory is acceptable, click Next.

    Otherwise, click Browse to select a different directory, then click Next.

  6. The New Database Creation dialog opens.

    If the default directory for the database files is acceptable, click Next.

    Otherwise, click Browse to select a different directory, then click Next.

  7. The Select Features dialog opens. Select the desired features and control panel types for this RPS installation, then click Next.

  8. The Select Program Folder dialog opens.

    Click Next.

  9. The Start Copying Files dialog opens, listing your selections from the previous steps and confirming that the PC's hard drive has enough unused space for the RPS installation. Click Next.

The Setup Status dialog indicates the installer's progress.

  10. When the InstallShield Wizard Complete dialog opens, click Finish.

    The PC restarts.

  11. After logging onto the PC, start RPS either by selecting Start>Bosch>RPS 5.x, or by double-clicking the RPS 5.x shortcut on the PC's desktop.

  12. Select Start>Microsoft SQL Server 2005>SQL Server Management Studio Express.

  13. From the Connect to Server dialog, copy the text from the Server name field into the PC's clipboard.

  14. In the RPS System Configuration dialog:

    1. Paste the text copied in the previous step into the Select or Enter SQL Server name field.

    2. Type a database name into the Enter SQL Database Name field.

    3. In the Enter User Name and Enter Password fields, type sa for the User Name and the password used when SQL Exporess was installed.

    4. Click Create Database, which creates a database in SQL Express with the name you provided.

  15. The Create Database dialog opens.

    Click OK.

  16. Close the SQL Server Management Studio dialog.

  17. Click OK to close the RPS System Configuration dialog.

  18. In the RPS Logon Information dialog, enter your RPS user name and password, then click OK.

  19. The Panel Filter dialog opens.

    If you want to see a subset of all accounts, enter the filter criteria into the Panel Information fields, then click OK.

    If you want to see all accounts, click OK.

    Refer to the RPS General Help in RPS for more information on the panel filter.

  20. Create and configure the control panel account.


Installation Using SQL Server

  1. Open the RPS installer from the RPS CD-ROM.

  2. Select your setup language preference, then click OK.

  3. At the RPS InstallShield Welcome dialog, click Next.

  4. The Choose Destination Location dialog opens.

    If the default directory is acceptable, click Next.

    Otherwise, click Browse to select a different directory, then click Next.

  5. The New Database Creation dialog opens.

    Click Browse to select a different directory on the network.

  6. In the Choose Folder dialog, browse to the desired network directory, then click OK.

Note

NOTICE!

To determine which network directory should contain the RPS database, consult your network or database administrator.

RPS does not support Universal Naming Convention (UNC). Select a mapped network drive.

  7. The New Database Creation dialog returns and shows the new directory path.

    Click Next.

  8. The Select Features dialog opens.

    Select the desired features and control panel types for this RPS installation, then click Next.

  9. The Select Program Folder dialog opens.

    Click Next.

  10. The Start Copying Files dialog opens, listing your selections from the previous steps and confirming that the PC's hard drive has enough unused space for the RPS installation.

    Click Next.

  11. When the InstallShield Wizard Complete dialog opens, click Finish.

    The PC restarts.

  12. After logging onto the PC, start RPS either by selecting Start>Bosch>RPS 5.x, or by double-clicking the RPS 5.x shortcut on the PC's desktop.

  13. In the RPS System Configuration dialog:

    1. Select or enter the SQL server name into the Select or Enter SQL Server name field.

    2. Type a database name into the Enter SQL Database Name field.

    3. In the Enter User Name and Enter Password fields, type the same name and password used when the SQL server was installed.

    4. Click Create Database, which creates a database in SQL with the name you provided.

  14. When the Create Database dialog opens, click OK.

  15. Click OK to close the RPS System Configuration dialog.

  16. In the RPS Logon Information dialog, enter your RPS user name and password, then click OK.

The Panel Filter dialog opens. If you want to see a subset of all accounts, enter the filter criteria into the Panel Information fields, then click OK. If you want to see all accounts, click OK.

Refer to the RPS General Help in RPS for more information on the panel filter.

  17. Create and configure the control panel account.


Installation Using SQL Express on a Network

  1. If necessary, install SQL Express from the RPS CD-ROM onto a network server.

  2. Open the RPS installer from the RPS CD-ROM.

  3. Select your setup language preference, then click OK.

  4. At the RPS InstallShield® Welcome dialog, click Next.

  5. The Choose Destination Location dialog opens.

    If the default directory is acceptable, click Next.

    Otherwise, click Browse to select a different directory, then click Next.

  6. The New Database Creation dialog opens.

    Click Browse to select a different directory on the network.

Note

NOTICE!

To determine which network directory should contain the RPS database, consult your network or database administrator.

RPS does not support Universal Naming Convention (UNC). Select a mapped network drive.

  7. In the Choose Folder dialog, browse to the desired network directory, then click OK.

  8. The New Database Creation dialog returns and shows the new directory path.

    Click Next.

  9. The Select Features dialog opens.

    Select the desired features and control panel types for this RPS installation, then click Next.

Note

NOTICE!

All networked workstations should have the same control panel types selected.

  10. When the Select Program Folder dialog opens, click Next.

  11. The Start Copying Files dialog opens, listing your selections from the previous steps and confirming that the PC's hard drive has enough unused space for the RPS installation.

    Click Next.

  12. When the InstallShield Wizard Complete dialog opens, click Finish.

    The PC restarts.

  13. After logging onto the PC, start RPS either by selecting Start>Bosch>RPS 5.x, or by double-clicking the RPS 5.x shortcut on the PC's desktop.

  14. In the RPS System Configuration dialog:

    1. Select or enter the SQL server name into the Select or Enter SQL Server name field.

    2. Type a database name into the Enter SQL Database Name field.

    3. In the Enter User Name and Enter Password fields, type sa for the User Name and the password used when SQL Express was installed.

    4. Click Create Database, which creates a database in SQL with the name you provided.

  15. The Create Database dialog opens.

    Click OK.

  16. Click OK to close the RPS System Configuration dialog.

  17. In the RPS Logon Information dialog, enter your RPS user name and password, then click OK.

The Panel Filter dialog opens. If you want to see a subset of all accounts, enter the filter criteria into the Panel Information fields, then click OK. If you want to see all accounts, click OK.

Refer to the RPS General Help in RPS for more information on the panel filter.

  18. Create and configure the control panel account.

Note

NOTICE!

Networking protocols are disabled by default in SQL Server Express. If someone simply installs SQL Server Express and chooses all the defaults, SQL Server Express can only have connections originating on the local machine where SQL Server is installed.

To enable SQL Server Express to accept remote connections, configure SQL Server Express to listen on TCP/IP:

  • Launch the SQL Server Configuration Manager from the Microsoft SQL Server 2005 program menu.

  • Click the Protocols for SQLEXPRESS node.

  • Right-click on TCP/IP in the list of protocols, then select Enable.

  • In the SQL Server Configuration Manager, click the SQL Server 2005 Services node.

  • Right-click on SQL Server Browser and select Properties.

  • Click the Start button to start the SQL Server Browser.

  • Select the Service tab, and set Sart Mode to Automatic.


Using a Networked Drive to Store Database Files

Use the following to ensure that all your workstations operate correctly with RPS if you are using a networked drive to store your database files:

  • Refresh any List view they are using to see changes that are being made by other workstations in the network.

  • Back up the network drive's database files frequently so that possible errors made by other users, or hardware problems on the network can be easily corrected.

  • Two users cannot create accounts with the same name. If a user creates an account named "Big Mall Store," for example, and saves it to the Panel List, a second user trying to create an account with this same name will get an error message. The user must choose a different account name to correct this problem.

  • Only one user at a time may make changes to an account once it is created. However, a user with an authority level of 15 can overwrite changes being made by a user with a lower authority level. Ensure that no other operators are using the account at the same time. An account that is already in use by another operator generates a "Panel Already Open" message.

  • The Panel Already Open window has three option buttons:

    • Yes: Click Yes to try to override the lock and save changes made by the operator who currently has the account open.

    • No: Click No to try to override the lock and ignore changes made by the operator who currently has the account open.

    • Cancel: Click Cancel to close the Panel Already Open dialog without attempting to override a locked account. The account opens in View Only mode.

  • If you wish to override the locked account by clicking Yes or No, a progress indicator appears while RPS attempts to override the locked account.

    • If the lock override succeeds, a message appears telling the operator with the account currently open that the account was taken over. The account is then put into View Only mode. Only the operator who initiated the lock override can modify the account from this point on.

    • If the lock override fails, a different dialog appears indicating the failure.


Upgrading RPS Client and Access Database to SQL

  1. If necessary, install SQL Express from the RPS CD-ROM.

  2. Open the RPS installer from the RPS CD-ROM.

  3. Select your setup language preference, then click OK.

  4. When the Welcome dialog opens, click Next.

  5. The Select Features dialog opens. Select the desired features and control panel types for this RPS installation, then click Next.

  6. When the Select Program Folder dialog opens, click Next.

  7. The Start Copying Files dialog opens, listing your selections from the previous steps and confirming that the PC's hard drive has enough unused space for the RPS installation. Click Next.

    The Setup Status dialog indicates the installer's progress.

  8. When the InstallShield® Wizard Complete dialog opens, click Finish.

    The PC restarts.

  9. After logging onto the PC, start RPS either by selecting Start>Bosch>RPS 5.x, or by double-clicking the RPS 5.x shortcut on the PC's desktop.

  10. If necessary and if you do not know the SQL Server name, select Start>Microsoft SQL Server 2005>SQL Server Management Studio Express.

    The SQL Server 2005 Connect to Server dialog opens.

  11. From the Connect to Server dialog, copy the text from the Server name field into the PC's clipboard.

  12. In the RPS System Configuration dialog:

    1. Paste the text copied in the previous step into the Select or Enter SQL Server name field.

    2. Type a database name into the Enter SQL Database Name field.

    3. In the Enter User Name and Enter Password fields, type the same name (sa for SQL Express) and password used when the SQL database was installed.

    4. Click Create Database, which creates a database in SQL Express with the name you provided.

The database Merge Utility opens.

  13. In the Database Merge Utility dialog, select the Source Database Details tab, then confirm that the path to the Access Database is correct.

  14. In the Database Merge Utility dialog, select the Destination Database Details tab, then confirm that the SQL Database fields are configured correctly.

    If the Dat File Location field is not pointing to the correct directory, click ... and navigate to the correct directory, then click Merge Database.

  15. In the confirmation dialog, click OK.

  16. Close the MS SQL Server Management Studio dialog.

  17. In the RPS System Configuration dialog, click OK.

  18. In the RPS Logon Information dialog, type the RPS user name and password, then click OK.

The Panel Filter dialog opens. If you want to see a subset of all accounts, enter the filter criteria into the Panel Information fields, then click OK. If you want to see all accounts, click OK.

Refer to the RPS General Help in RPS for more information about the panel filter.

  19. Create and configure the control panel account.


Upgrading the SQL Server Database From the Server

  1. Open the SQL Server Management Studio.

  2. Log into the database.

  3. In SQL Server, select File>Open>File.

  4. Locate the SQL upgrade script file on the RPS CD-ROM, then click Open.

  5. Log in again, then click Connect.

  6. In the drop-down menu, select the RPS database that you are upgrading.

  7. Select Query>Execute. When you see Query executed successfully on the bottom of the window, the database is upgraded.

  8. Close Microsoft SQL Server Studio.

  9. If you have not already done so, upgrade the RPS .dat files.

    Refer to Upgrading RPS .dat Files on the Server.

Note

NOTICE!

You must now upgrade all clients to the same RPS version to match the SQL database.


Upgrading the SQL Express Database From the Server

  1. Open the SQL Server Management Studio.

  2. Log into the database.

  3. In SQL Server, select File>Open>File.

  4. Locate the SQL upgrade script file on the RPS CD-ROM, then click Open.

  5. Log into the database again, then click Connect.

  6. In the drop-down menu, select the RPS database that you are upgrading.

  7. Select Query>Execute.

    When you see Query executed successfully on the bottom of the dialog, the database is upgraded.

  8. Close Microsoft SQL Server Studio.

  9. If you have not already done so, upgrade the RPS .dat files.

    Refer to Upgrading RPS .dat Files on the Server, for more information.

Note

NOTICE!

You must now upgrade all clients to the same RPS version to match the SQL database.


Upgrading SQL Server Database from the RPS Client

Note

NOTICE!

If you have already upgraded the database for SQL Server or SQL Express from the server, you can skip this section and proceed to Upgrading the RPS Client Only (if using a network database).

  1. Instruct all users to log out of RPS.

  2. Open the RPS installer from the RPS CD-ROM.

  3. Select your setup language preference, then click OK.

  4. When the Welcome dialog opens, click Next.

  5. The Select Features dialog opens.

    Select the desired features and control panel types for this RPS installation, then click Next.

  6. When the Select Program Folder dialog opens, click Next.

  7. The Start Copying Files dialog opens, listing your selections from the previous steps and confirming that the PC's hard drive has enough unused space for the RPS installation.

    Click Next.

    The Setup Status dialog indicates the installer's progress.

  8. When the InstallShield Wizard Complete dialog opens, click Finish.

    The PC restarts.

  9. After logging onto the PC, start RPS either by selecting Start>Bosch>RPS 5.x, or by double-clicking the RPS 5.x shortcut on the PC's desktop.

  10. An error dialog opens. Click OK.

  11. In the RPS System Configuration dialog, click Upgrade Database.

  12. A confirmation dialog opens.

    Click OK.

  13. In the RPS Logon Information dialog, type the RPS user name and password, then click OK.

The Panel Filter dialog opens. If you want to see a subset of all accounts, enter the filter criteria into the Panel Information fields, then click OK. If you want to see all accounts, click OK.

Refer to the RPS General Help in RPS for more information on the panel filter.

  14. Create and configure the control panel account.


Upgrading the RPS Client Only (if using a network database)

  1. Open the RPS installer from the RPS CD-ROM.

  2. Select your setup language preference, then click OK.

  3. When the Welcome dialog opens, click Next.

  4. The Select Features dialog opens.

    Select the desired features and control panel types for this RPS installation, then click Next.

  5. When the Select Program Folder dialog opens, click Next.

  6. The Start Copying Files dialog opens, listing your selections from the previous steps and confirming that the PC's hard drive has enough unused space for the RPS installation.

    Click Next.

    The Setup Status dialog indicates the installer's progress.

  7. When the InstallShield Wizard Complete dialog opens, click Finish.

    The PC restarts.

  8. After logging onto the PC, start RPS either by selecting Start>Bosch>RPS 5.x, or by double-clicking the RPS 5.x shortcut on the PC's desktop.

  9. Log into RPS.

  10. In the RPS System Configuration dialog, click Modify and change the location so that it points to the network database again. Also, confirm that the SQL database information is correct.

  11. In the RPS System Configuration dialog, click OK.

  12. In the RPS Logon Information dialog, type the RPS user name and password, then click OK.

  13. Create and configure the control panel account.


Upgrading RPS .dat Files on the Server

  1. Use Windows Explorer to open the SQL Dat File Upgrade.zip file from the RPS CD-ROM.

  2. Extract the contents of the .zip file into the existing RPS Database directory, and replace all existing files.

  3. Upgrade all RPS clients connected to the server.


Logging Into and Out of RPS

Note

NOTICE!

Users should never log into RPS as the same user more than once during the same RPS session.

After three unsuccessful login attempts, an error message appears and RPS terminates.

To start RPS, select Start -> (All) Programs -> Bosch -> RPS, or double-click the RPS shortcut on your desktop. After a brief delay, a splash screen appears and then the login screen appears.

Each time the application is started, the Logon Information window opens.

Field Name | Description
User name | Enter your user name as assigned by the RPS administrator.
Password | Enter your password as assigned by the RPS administrator.
OK | Click this button to accept the entries made and continue.
Cancel | Click this button to close this window without accepting any selection/entry made.

A successful login is logged as an event in the audit log for tracking purposes.

Unsuccessful attempts at a valid user name and password combination result in a failed login event sent to the audit log and an error message.

Button Name | Description
Details | Click this button to see details related to the error message displayed.
OK | Click this button to accept the error message without viewing any details or entering any comments
Comments | Do not use at this time.


First Time Log-in

The first time the program is started after installation, the login window appears. Enter admin for the user name and 1111 or default for the password.

Upon successful login, make sure you change the "admin" password. Changing the admin password disables 1111 and default as the default passwords.

After a successful login, the Remote Programmer User Interface appears. This is the main window of the application. All operation and administration tasks are conducted from this window.

    Related Topics

  • Change the Password

  • RPS User Interface


Log Out

Log Out, which is located in the File drop-down menu on the Menu Bar, allows the user to log out of RPS without exiting RPS. When a user logs out, the Log On Information screen opens to allow a different user to log in.

    Related Topics

  • Log Out and Exit

  • Log In

  • Menu Bar


Log Out and Exit

Log Out and Exit, which is located in the File drop-down menu on the Menu Bar, allows the user to log out of RPS. This selection also terminates RPS as an active application. When Log Out and Exit is selected, an Exit Confirmation box appears.

    Related Topics

  • Log Out

  • Menu Bar


Log In

If a user selects Log Out or accidentally clicks Cancel on the Log On Information screen, the user can log into RPS by selecting File -> Log In. When this selection is made, the Log On Information screen opens.


Change the Password

You can change your password any time you are logged into RPS. This option is available to all operators and administrators. When changes are made, RPS automatically updates the operator or administrator information in their operator account.

To change your password:

  1. From the Remote Programmer User Interface, click the Config menu and select Password.

  2. Enter your old password and new password in the Change Password window.

Field Name | Description
User name | Enter your user name as assigned by the RPS administrator.
Password | Enter your password as assigned by the RPS administrator.
OK | Click this button to accept the entries made and continue.
Cancel | Click this button to close this window without accepting any selection/entry made.

  3. Click OK to save your new password and close the Change Password window.

Note

NOTICE!

Do not click OK unless you have entered a value in both the Password and Confirm Password fields. Doing so might disable the Operator account.

Changes are effective the next time you log in.

The security features of RPS rely solely on passwords. Operator and administrator passwords should be guarded carefully. If the administrator or top-level password is lost or forgotten, the administrator tasks cannot be accessed

    Related Topic

  • Microsoft® Windows® Screensaver Password


Microsoft® Windows® Screensaver Password

Currently, RPS does not automatically log an operator out after a period of inactivity. It is recommended that you use the Windows screensaver password protection feature to secure RPS through periods of inactivity. See your Display settings in the Windows Control Panel to set your screensaver password.


RPS User Interface Overview

After a successful login, the Remote Programmer User Interface opens with the Panel List active. This is the main window of the application. All operation and administration tasks are initiated from this window.

Field Name

Description

Menu Bar

The Menu Bar consists of labeled tabs that contain drop-down menus.

Toolbar

There are two sets of tool bars that provide quick and easy access to several functions: the Remote Programmer Toolbar (refer to Remote Programmer Toolbar) and the Panel View Window (refer to Control Panel Account Overview).

These tool bars are located at the top of the window and are identified by labeled icons. The active icons on the Remote Programmer toolbar change depending on the list that is viewed.

View Bar

The View Bar provides easy access to the various lists in a drop-down format. Click a menu selection to open the list.

Links

Links provide a quick and easy way to access panel accounts. Refer to Create a Link to a Panel Account.

List Information Columns

These columns display information specific to the list currently being viewed. Since the Remote Programmer User Interface opens with the Panel List active, these columns display information specific to the panel accounts shown in the Panel List.

IMPORTANT: The Unattended column is not supported by all control panel types. See your control panel's documentation for compatibility.

List Icons

The List icons are shortcuts to the different lists available in RPS.

Panels List icon

History Filter icon

Operators List icon

Templates List icon

Activities List icon

Windows List icon

IMPORTANT: The Window List is not supported by all control panels.

Number of Records

Counts the number of records currently present in the selected list.

Sort Indicator

This area identifies in which direction (ascending or descending) the selected column is currently sorted.Each column in a window can be sorted in either ascending or descending order by clicking on the title button of the specific column. Sorting is done by character, then numeric, then alpha.

User Indicator

This area identifies the user (by user name) that is currently logged into RPS.

Panel accounts, operators, events, and templates are created and managed from the Remote Programmer User Interface.

    Related Topics

  • Menu Bar

  • Accessing the List Views

  • Print a List Report


Changing the Language of the User Interface

    To change the user interface's language:

  1. Open the Language menu on the user interface's menu bar.

  2. Select a language. For example, select Spanish.

    The user interface now appears in the selected language.

  3. Repeat Step 1 and Step 2 to return to the previous language, or to select a different language.


Menu Bar

See below for descriptions of the drop-down menus that comprise the Menu Bar.

File

This menu provides access to several program-related functions.

    Related Topics

  • Log Out

  • Log Out and Exit

  • Print a List Report

  • History Export Import

  • Entering a System Note

  • Backup

  • Restore

  • Export

Lists

This menu provides access to the different list windows. Click a list selection to open its window.

    Related Topics

  • Operator List

  • Window List

  • Panel List

  • Template List

  • History List

  • Activity List

Operations

This menu provides access to general operations that apply to the selected view.

View | Operations Menu Options
Panels | New, View, Open, Delete, Locate, Make Link
History | View, Delete, Delete View, Locate, Filter
Operators | New, View, Delete, Locate
Templates | New, View, Open, Delete, Locate
Activities | View, Delete, Delete View, Locate, Filter
Windows | New, View, Delete, Locate

Reports

This menu provides access to the different types of reports generated by RPS. Viewing/printing options available upon report selection.

    Related Topics

  • Generate a System Note Report

  • Generate an Account Notes Report

  • Generate a Program Record Sheet (PRS)

  • Sending Reports to a Printer

Config

This menu provides access to password and system configuration windows.

    Related Topics

  • Change the Password

  • Modem Tab

  • Security Tab

  • File Locations Tab

  • Activity Log Tab

  • Communications Tab

  • Encryption Key Tab

Unattended

This menu provides access to Unattended Service functions.

    Related Topics

  • Unattended Service Overview

  • Unattended Service Quick Enable/Disable Features

Language

This menu allows you to switch the user interface's language.

Help

This menu provides access to RPS’s online help file and system information.


Remote Programmer Toolbar

Click a link below to learn about the active tool bar icons that are available for each list.

Panel and Template List Toolbars

The Panel List and Template List toolbar icons are identical.

Active Toolbar Icon | Description
 | Click to open the New Panel or New Template window. Select a panel type from this window on which to base a new panel account or new template account.
 | Click to view the account information for the selected control panel account or template.
 | Click to delete the selected control panel account or template.
 | Click to locate specific information in the selected list's fields (fields differ depending on the selected list).
 | Click to open the selected control panel account or template.
 | Click to filter the control panel accounts based on the selected criteria.

History List Toolbar

Active Toolbar Icon | Description
 | Click to view the selected control panel’s history log entries.
 | Click to delete the selected item(s) from the History List.
 | Click to locate specific information in the selected list's fields (fields differ depending on the selected list).
 | Click to filter the control panel’s history entries based on selective parameters.
 | Click to delete the entire history log.

Operators List Toolbar

Active Toolbar Icon | Description
 | Click to open the Operator Data – New window. Use this window to enter the necessary information to create a new operator.
 | Click to open the Operator Data – View window. Use this window to view an operator’s data.
 | Click to delete the selected operator.
 | Click to locate specific information in the selected list's fields (fields differ depending on the selected list).

Activities List Toolbar

Active Toolbar Icon | Description
 | Click to view the program's activity list.
 | Click to delete the selected item(s) from the Activity List.
 | Click to locate specific information in the selected list's fields (fields differ depending on the selected list).
 | Click to filter the program’s activity list based on selective parameters.
 | Click to delete the entire activity list.

Windows List Toolbar

Active Toolbar Icon | Description
 | Click to open the Window Data – New window. Use this window to enter the necessary information to create a new Time Window.
 | Click to open the Window Data – View window. Use this window to review information entered into the selected Time Window.
 | Click to delete the selected time window from the Window List.
 | Click to filter the program’s activity list based on selective parameters.


Accessing the List Views

    You can access the lists from the Remote Programmer User Interface in any of three different ways:

  • Select the list from the Lists menu

  • Select the list from the View Bar

  • Click the list icon in the bottom right corner of the user interface

Panel List icon

History Filter icon

Operators List icon

Templates List icon

Activities List icon

Windows List icon


Context Menus

Context menus provide quick access to standard list functions, such as creating a new list entry, deleting a list entry, or locating information within a list.

Content in the context menu feature changes per the selected list.

Right-click on the remote programmer user interface to access the selected list's context menu.

Panel List

Context Menu Option | Description
New | Click this option, or press [Ctrl]+[N] on your keyboard, to add a new panel account.
View | Click this option to view data in the selected panel account.
Open | Click this option, or press [Ctrl]+[O] on your keyboard, to open the selected panel account.
Delete | Click this option, or press [Del] on your keyboard, to delete the selected panel account.
Locate | Click this option, or press [Ctrl]+[L] on your keyboard, to open the Locate window. Refer to Using the Locate Window).
Filter | Click to filter the control panel accounts based on the selected criteria.
Make Link | Click this option to create a link to the selected panel account. Refer to Create a Link to a Panel Account.
Enable Unattended | Click this option to enable Unattended Mode for the selected panel account. Refer to Unattended Service Overview for more information.
Disable Unattended | Click this option to disable Unattended Mode for the selected panel account. Refer to Unattended Service Overview for more information.

History List

Context Menu Option | Description
View | Click this option to view data for the selected history log entry.
Delete | Click this option, or press [Del] on your keyboard, to delete the selected history log entry.
Delete View | Click this option, or press [Shift]+[Del] on your keyboard, to delete the entire history log.
Locate | Click this option, or press [Ctrl]+[L] on your keyboard, to open the Locate window (refer to Using the Locate Window).
Filter | Click this option to open the History Filter window (refer to History Filter).

Operator List

Context Menu Option | Description
New | Click this option, or press [Ctrl]+[N] on your keyboard, to add a new operator.
View | Click this option to view data for the selected operator.
Delete | Click this option, or press [Del] on your keyboard, to delete the selected operator.
Locate | Click this option, or press [Ctrl]+[L] on your keyboard, to open the Locate window (refer to Using the Locate Window).

Template List

Context Menu Option | Description
New | Click this option, or press [Ctrl]+[N] on your keyboard, to add a new panel template.
View | Click this option to view data in the selected panel template.
Open | Click this option, or press [Ctrl]+[O] on your keyboard, to open the selected panel template.
Delete | Click this option, or press [Del] on your keyboard, to delete the selected panel template.
Locate | Click this option, or press [Ctrl]+[L] on your keyboard, to open the Locate window (refer to Using the Locate Window).

Activity List

Context Menu Option | Description
View | Click this option to view data for the selected activity log entry.
Delete | Click this option, or press [Del] on your keyboard, to delete the selected activity log entry.
Delete View | Click this option, or press [Shift]+[Del] on your keyboard, to delete the entire activity log.
Locate | Click this option, or press [Ctrl]+[L] on your keyboard, to open the Locate window (refer to Using the Locate Window).
Filter | Click this option to open the Activity Filter window (refer to Activity Filter).

Time Window List

Context Menu Option | Description
New | Click this option, or press [Ctrl]+[N] on your keyboard, to add a time window.
View | Click this option to view data in the selected time window.
Delete | Click this option, or press [Del] on your keyboard, to delete the selected time window.
Locate | Click this option, or press [Ctrl]+[L] on your keyboard, to open the Locate window (refer to Using the Locate Window).


Keyboard Shortcuts

The following table identifies the keyboard shortcuts that RPS supports.

Function

Keyboard Shortcut

Supported in Lists

New

[Ctrl]+[N]

  • Panels

  • Operators

  • Templates

  • Windows

Open

[Ctrl]+[O]

  • Panels

  • Templates

Delete

[Del] or [Delete]

  • Panels

  • History

  • Operators

  • Templates

  • Activities

  • Windows

Delete View

[Shift]+[Del] or [Shift]+[Delete]

  • History

  • Activities

Locate

[Ctrl]+[L]

  • Panels

  • History

  • Operators

  • Templates

  • Activities

  • Windows


Print a List Report

    A list report consists of the contents of the selected list's information columns.

  1. Click File→�Print.

The List Report window opens.

Fields and Buttons | Description
Available Fields | Content changes according to the selected list. Click the appropriate check box to select or de-select report content.
Ok | Click Ok to open the print preview window.
Cancel | Click Cancel to close the List Report Dialog without printing the report.
Select all | Click Select All to select all of the Available Fields options.
Clear | Click Clear to de-select all of the Available Fields options.

  2. Click the appropriate check boxes in the Available Fields list to select the desired information columns.

  3. Click OK.

    A print preview window opens.

Note

NOTICE! Content shown in the preview window changes according to the selected list. Below is an example using the Operator List.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

  4. Click Print to print the content from the selected information columns.


Modem Tab

Note

  • For your modem to be fully compatible with RPS and the specific control panels it supports, see Modem Specifications.

  • Available System Configuration tabs depends on your installation. You might not see all of the tabs shown in the screen shot below.

  • Available control panels depends on your installation. You might not see all of the control panel types shown in the System Configuration window below.

Select Config→��System. The System Configuration window opens with the Modem tab active.

Field Name

Description

Modem Information Columns

  • Panel Name: This column lists the control panel types supported by RPS.

  • Reset String: This column identifies the selected modem’s reset string.

  • Initialization String: This column identifies the selected modem’s initialization string (init string).

These columns are read-only. To change the modem, select a row and click the Select Modem button.

Edit

Click this button to edit the selected modem's reset string or init string. Refer to Modem Setup through RPS.

Select Modem

Click this button to select a different modem from a list of modems compatible with the specified control panel type. Refer to Modem Setup through RPS.

Supported Panel Types

Click this button to open a window that shows which control panel types support the selected modem. This button is helpful when the Panel Group listed is identified as a series of control panels (for example, “2000 Series” or “7200 Series”).

Expert Mode

For Easy Series V3+ only: Place a check mark in this check box to show all of the configuration parameters on the System Configuration window. All Easy Series V3+ control panels will open in Expert Mode when you select this option. If the box has no check, the control panels will open in Basic Mode, showing fewer configuration parameters.

Communications Port

Select the COM port you intend to use. This change appears in the Panel Communication window (refer to Panel Communication Window) when you connect to a control panel. RPS defaults to Com Port 2.

Prompt for Time Setting Confirmation

This option is available only for the Easy Series V2+ control panel type.

Click the option box if you want a time confirmation window to open every time you open an Easy Series V2+ account. By default, this box is checked.

Property Page Show Colors

You can view some entries in the Panel Account Panel Settings pane in color. Use this feature to quickly identify control panel settings. This feature is active (check in box) by default. To disable it, remove the check by clicking the box.

OK

Click this button to accept all entries/changes made and close the System Configuration window.

Apply

Click this button to accept all entries/changes made without closing the System Configuration window.

Cancel

Click this button to close this window without accepting any selection/entry made.

Communications between RPS and the individual control panels is accomplished through a modem.

    Related Topics

  • Modem Setup through RPS

  • Modem Setup through the Control Panel

  • Panel Communication Window


Modem Specifications

Note

NOTICE! If your modem is not listed as a compatible modem in the control panel account’s help file, you must consult the documentation accompanying your modem along with the following modem specifications to configure your modem to work with RPS.

    For your modem to be fully compatible with RPS and the specific control panels it supports, it must meet the following requirements:

  • The modem must be capable of originating a call in Answer Mode.

  • The modem must be capable of BELL System 103 or V.21 protocol.

  • The modem must be capable of communicating at 300 bps (bits per second).

  • The modem must transmit 2025 Hz or 2270 Hz answer tone. The control panel does not recognize other tones such as V.32 and V.42.

  • The modem must be capable of standard asynchronous transmission at 300 bps.


Modem Setup through RPS

    The Modem tab displays the modem settings that can be changed within RPS. Using the Modem tab, you can change the following settings for a selected modem:

  • COM port

  • Reset string

  • Initialization string (Changing this string can also change other modem settings. Consult your modem's documentation first.)

    Use the following steps to set up your modem for use with RPS:

  1. From the Remote Programmer User Interface, click Config→System. The System Configuration window opens with the Modem Tab active.

  2. Select a port (COM1 through COM16 from the Communications Port drop-down box). RPS defaults to COM 2.

Note

NOTICE! RPS cannot communicate with the control panel if other applications share the same COM port. If an additional COM Port is to be used, the desired COM port must be selected in the Panel Communication window each time a connection is made with the control panel.

  3. If needed, change the modem for the control panel. Select the appropriate row in the Modem Tab and click the Select Modem button. The Select Modem window opens, All the modems that are compatible with the specified panel appear in the Modem Name list.

Field Name | Description
Modem Name | This column lists all the modems that are compatible with the specified control panel. Click a row to select a modem.
Apply to all panel types | Select this option to apply the settings to all control panels.
OK | Click this button to accept the selection/entry made and close the window.
Cancel | Click this button to close this window without accepting any selection/entry made.

  4. Select a modem from the Modem Name list and click OK.

  5. If you need to edit the modem’s reset string and initialization string (init string), click the Edit button on the Modem tab. The Edit Modem window opens.

Field Name | Description
Panel Name | This read-only field identifies the specified control panel.
Reset String | Enter the command string to reset the modem. Consult your modem documentation for information on the text to enter into this field.
Init String | Enter the command string to initialize the modem. If this is the first time you are configuring the modem for use with RPS, the default init string appears in the field. Changes made here to the init string override any settings that have been set up through the operating system.
OK | Click this button to accept the changes made to the modem’s reset and init strings and close this window.
Cancel | Click this button to close this window without accepting any selection/entry made.

  6. Enter the reset string and initialization string value in the appropriate fields and click OK.

    Related Topics

  • Modem Specifications

  • Modem Tab


Modem Setup through the Control Panel

Note

NOTICE!

Consult the modem documentation and online Help for information on configuring Microsoft® Windows® to communicate with your modem.

  • The modem must be able to originate a call in Answer Mode.

  • The modem must not use data compression; however, it may use speed buffering.

  • The modem must not use flow control; however, Com port hardware flow control on the PC is OK.

  • The modem must not use error correction (LAPM, MNP).


Security Tab

Note

  • The default operator security level is 0 (refer to Operator List).

  • The security levels entered are effective for all control panels of the same panel type. Different panel types must have their security levels set separately.

  • Available System Configuration tabs depends on your installation. You may not see all of the tabs shown in the screen shot below.

Security levels provide a means of restricting access to certain functions. The security levels are numbered 0 through 15, with 0 being the lowest (or having no authority) and 15 being the highest (or having complete access to all of the functions). Security levels are assigned to each individual feature. When a security level is assigned to a feature, only operators having the same security level (or higher) as the feature may access that feature.

For example, if the ability to create a new account were assigned a security level of 4, then an operator with a security level of 3 would not be able to create an account. However, an operator with a security level of 4 or higher would be able to create an account.

To set the minimum level of security required to access RPS’s features, click Config→System.

The System Configuration window opens with the Modem tab active. Click the Security tab.

Field Name | Description
Security Feature | This column lists all of the security features that can be restricted by security level in RPS. Use the scroll bar to the right to navigate through the list.
Minimum Level | This column shows the current (or default) minimum security level assigned.
Edit | To change the level shown in the Minimum Level column, select a row and click the Edit button. The Edit Security Feature window opens. Refer to Setting Security Levels in the Control Panel Account.
Expert Mode | For Easy Series V3+ only: Place a check mark in this check box to show all of the configuration parameters on the System Configuration window. All Easy Series V3+ control panels will open in Expert Mode when you select this option. If the box has no check, the control panels will open in Basic Mode, showing fewer configuration parameters.
Prompt for Time Setting Confirmation for Easy Series Panels | For Easy Series V2+ and V3+ only: If this check box is selected, the Time Setting Confirmation message appears when an Easy Series account is opened. The message is a reminder to ensure that time synchronization for Easy Series control panels is accurate.
Property Pages Show Colors | You can view some entries in the Panel Account Panel Settings pane in color. Use this feature to quickly identify control panel settings. This feature is active (check in box) by default. To disable it, remove the check by clicking the box.
OK | Click this button to accept all entries/changes made and close the System Configuration window.
Apply | Click this button to accept all entries/changes made without closing the System Configuration window.
Cancel | Click this button to close this window without accepting any selection/entry made.

    Related Topics

  • Setting Minimum Security Levels

  • Setting Security Levels in the Control Panel Account


Setting Minimum Security Levels

To change a feature’s security level assignment on the Security tab, click the Edit button.

The Edit Security Feature window opens.

Field Name | Description
Name | This read-only field displays the name of the selected security feature.
Min Level | Use this field to change the feature’s assigned security level. Use the Up/Down arrows to scroll through the levels one at a time, or highlight the current setting and type in the desired level (0 to 15).
OK | Click this button to accept the selection/entry made and close the window.
Cancel | Click this button to close this window without accepting any selection/entry made.

When security levels have been assigned to features, the administrator can then assign security levels to the operators.

    Below are some examples of when you might adjust the minimum security level assignments:

  • To restrict the ability to arm or disarm a control panel or area (Communication: Diagnostics).

  • To restrict the ability to change Datalock codes (Config: Datalock).

  • To restrict the ability to change encryption keys (Config: Encryption Key).

  • To restrict the ability to create new operators (Lists: Operators, New) or delete existing operators (Lists: Operators, Delete).

    Related Topics

  • Security Tab

  • Setting Security Levels in the Control Panel Account

  • Operator List


Setting Security Levels in the Control Panel Account

Two security levels can be assigned to each programming parameter in a panel account’s program record sheet. One security level controls viewing rights and the other controls editing rights.

    The security levels are based on the level assigned to each operator. For example, Parameter A is assigned a security level of 5 for viewing and 6 for editing. Operator viewing/editing privileges would be granted as follows:

  • An operator with a security level of 6 or higher can view and edit the parameter. Double-clicking the value cell opens the appropriate Panel Settings window for the parameter.

  • An operator with a security level of 5 can view the parameter but cannot edit it. Nothing happens if the operator double-clicks the value cell while this operator is logged into RPS.

  • An operator with a security level lower than 5 will not be able to view the parameter. The parameter’s value cell appears blank while this operator is logged into RPS.

    Follow these steps to change a parameter’s security level:

  1. Open the panel account’s Panel View window.

  2. Click the Security button in the toolbar. A progress bar appears indicating that the Program Entry Guide is being loaded.

  3. Select a parameter and press the [F5] button on the keyboard. The Security Levels window opens.

Field Name | Description
Parameter | This read-only field displays the name of the parameter for which the security levels are being edited.
View Level | This field displays the current (or default) minimum level that allows an operator to view the parameter’s programming setting. To change this setting, click the arrow to the right and select a new level (1 to 15).
Edit Level | This field displays the current (or default) minimum level that allows an operator to edit the parameter’s programming setting. To change this setting, click the arrow to the right and select a new level (1 to 15).
OK | Click this button to accept the selection/entry made and close the window.
Cancel | Click this button to close this window without accepting any selection/entry made.

  4. When the changes to the security levels have been made, click OK to close the Security Levels window. The Security button in the toolbar changes to the Save Security button.

  5. Click the Save Security button to save the changes made to the parameter’s security levels.

Note

NOTICE!

The security levels you entered are effective in all panel accounts of the same control panel type. Each control panel type must have its security levels set separately.

    Related Topics

  • Security Tab

  • Setting Minimum Security Levels


File Locations Tab

Note

NOTICE!

  • Changing the database location does not move the database files. The database files should either already exist at the new location or the files must be moved manually.

  • Available System Configuration tabs depends on your installation. You may not see all of the tabs shown in the screen shot below.

To modify the location of the database file or audit log, click Config→System.

The System Configuration window opens with the Modem tab active. Click the File Locations tab.

Field Name | Description
File Type Location | These read-only fields identify the file type and where it resides on the PC.
Modify | Click this button to open the Modify Location window. Refer to Changing a File’s Location. Use this window to specify a new location for the selected file.
Select or Enter SQL Server name | Select or type the name of your SQL server.
Enter SQL Database Name | Enter the name of your SQL database.
Enter User Name | Enter your user name for the SQL server.
Enter Password | Enter your password for the SQL server.
Create Database | Click this button to create a new SQL database. This applies to both SQL Server and SQL Express.
Upgrade Database | Click this button to upgrade an existing SQL database. This applies to both SQL Server and SQL Express.
Expert Mode | For Easy Series V3+ only: Place a check mark in this check box to show all of the configuration parameters on the System Configuration window. All Easy Series V3+ control panels will open in Expert Mode when you select this option. If the box has no check, the control panels will open in Basic Mode, showing fewer configuration parameters.
Prompt for Time Setting Confirmation for Easy Series Panels | For Easy Series V2+ and V3+ only: If this check box is selected, the Time Setting Confirmation message appears when an Easy Series account is opened. The message is a reminder to ensure that time synchronization for Easy Series control panels is accurate.
Property Pages Show Colors | You can view some entries in the Panel Account Panel Settings pane in color. Use this feature to quickly identify control panel settings. This feature is active (check in box) by default. To disable it, remove the check by clicking the box.
OK | Click this button to accept all entries/changes made and close the System Configuration window.
Apply | Click this button to accept all entries/changes made without closing the System Configuration window.
Cancel | Click this button to close this window without accepting any selection/entry made.

Use the File Locations tab to set the default directory in which to store the database and audit log files. Refer to Changing a File’s Location.


Changing a File’s Location

To change the location of the database file or Audit Log, click the Modify button on the File Locations tab.

The Browse for Folder window opens.

Field Name | Description
Modify Location | Navigate to the location of the database file using the directory tree that appears in this field.
Make New Folder | Click this button to create a new folder in the selected directory.
OK | Click this button to accept the selection/entry made and close the window.
Cancel | Click this button to close this window without accepting any selection/entry made.
Note

NOTICE!

File location changes are made effective by exiting from and restarting RPS.

    Related Topic

  • File Locations Tab


Datalock Tab

Note

NOTICE!

  • Available System Configuration tabs depends on your installation. You might not see all of the tabs shown in the screen shot below.

  • Datalock is not available to all control panels. Refer to your control panel's documentation for compatibility.

Datalock codes are used to prevent control panels from being programmed by unauthorized personnel. A Datalock control panel has a lock code in memory that RPS must match to one of the lock codes in the RPS Lock Code records before the programming session can continue. The control panel can contain any one of 65,535 possible lock codes (1 to 65,535). If RPS cannot match the control panel’s lock code, the programming session terminates.

To modify the datalock code, click Config→System.

The System Configuration window opens with the Modem tab active. Click the Datalock tab.

Field Name

Description

Available Datalock Columns

    These columns are read-only. To change the datalock name, type, or code, select a row and then click the Edit button.

  • ID: A numeric identifier is assigned to each datalock

  • Name: Each datalock can be assigned an operator-specified name

  • Type: This cell identifies the type of datalock assigned by the operator.

  • Lock Code: This cell stores the datalock code.

Edit

Click this button to edit the selected Datalock row (refer to Edit a Lock Code). The Edit Datalock window opens.

Expert Mode

For Easy Series V3+ only: Place a check mark in this check box to show all of the configuration parameters on the System Configuration window. All Easy Series V3+ control panels will open in Expert Mode when you select this option. If the box has no check, the control panels will open in Basic Mode, showing fewer configuration parameters.

Prompt for Time Setting Confirmation for Easy Series Panels

For Easy Series V2+ and V3+ only: If this check box is selected, the Time Setting Confirmation message appears when an Easy Series account is opened. The message is a reminder to ensure that time synchronization for Easy Series control panels is accurate.

Property Pages Show Colors

You can view some entries in the Panel Account Panel Settings pane in color. Use this feature to quickly identify control panel settings. This feature is active (check in box) by default. To disable it, remove the check by clicking the box.

OK

Click this button to accept all entries/changes made and close the System Configuration window.

Apply

Click this button to accept all entries/changes made without closing the System Configuration window.

Cancel

Click this button to close this window without accepting any selection/entry made.

Note

NOTICE!

Any datalock code selection made in the control panel account overrides the selection made in the Datalock tab. Refer to Change a Control Panel Account.

    Related Topic

  • Match Lock Codes

  • Edit a Lock Code

  • Lock Code Types

  • Change the Primary Lock Code


Match Lock Codes

    RPS gains access to a datalocked control panel if the lock code in the control panel matches one of the lock codes in the RPS Lock Code records according to the following rules:

  1. If the lock code in the control panel matches RPS’s primary lock code, the session then continues. The lock code in the control panel is not changed.

  2. If the lock code in the control panel matches RPS’s unaltered lock code, the programming session then continues. The lock code in the control panel is not changed.

  3. If the lock code in the control panel is the default lock code (12345) or matches one of RPS’s alternate lock codes, the programming session then continues. RPS’s primary lock code replaces the control panel’s lock code at the time a connection is made.

  4. If the lock code does not match any of RPS’s lock codes, the programming session then ends and an error message appears.

Note

NOTICE!

If more than one PC is set up to run Unattended Service operations across a shared database, the datalock codes must match for all PC’s so that tasks run as expected.


Lock Code Types

    RPS organizes lock codes into four different types for the matching process. Refer to Match Lock Codes. RPS stores only one primary lock code and one default lock code. The number of alternate and unaltered lock codes is limited to 50.

  • Default Lock Code: The default lock code (12345) is the default loaded into control panels at the factory.

  • Primary Lock Code: RPS’s primary lock code is your system’s master code. When the lock code in a panel matches the RPS default or alternate codes, RPS replaces it with the primary lock code when you connect to the control panel. Refer to Edit a Lock Code and Change the Primary Lock Code for instructions on changing the primary lock code.

  • Alternate Lock Codes: Alternate lock codes are useful if you obtain control panels with a lock code other than the default lock code and you want to change it to the primary lock code. Add a lock code record for the lock code in the obtained control panels to the RPS database. Use Alternate as the type. If you send a program to one of these control panels, RPS sends the primary lock code to replace the control panel’s lock code. An alternate lock code is used in the process of changing the primary lock code. Refer to Change the Primary Lock Code.

  • Unaltered Lock Codes: When RPS finds a lock code in a panel that matches an RPS unaltered lock code, it does not change the lock code in the control panel to the primary lock code. If you access control panels for other companies and do not want to change the lock codes in their control panels, add a lock code record with their lock code to the RPS database. Use Unaltered as the type.


Edit a Lock Code

The first two rows of the available Datalock table are reserved for the default lock code and the primary lock code respectively. All rows below the first two rows are available for alternate and unaltered lock codes.

    The first two rows of the available Datalock table are reserved for the default lock code and the primary lock code respectively. All rows below the first two rows are available for alternate and unaltered lock codes.

  1. Double-click a Datalock row (or highlight the lock code and click Edit).

The Edit Datalock window opens.

Field Name | Description
Name | Enter a name for the lock code (optional).
Type | Specify if the lock code as an alternate or unaltered. If you are editing the default lock code or the primary lock code, this field cannot be edited.
Lock Code | Enter the lock code (between 1 and 65,535).
OK | Click this button to accept the selection/entry made and close the window.
Cancel | Click this button to close this window without accepting any selection/entry made.

  2. In the Name field, enter a name for the lock code (optional).

  3. In the Type field, specify if the lock code is an alternate or unaltered type. If you are editing the default lock code or the primary lock code, the Type field is unavailable for editing.

  4. In the Lockcode field, enter the lock code (between 1 and 65,535).

Caution

CAUTION!

Do not change the default lock code because this is the lock code established by Bosch Security Systems, Inc. and is the lock code shipped in each control panel.


Change the Primary Lock Code

Caution

CAUTION!

If you change the primary lock code, ensure that you include the old primary lock code as one of the alternate lock codes. Otherwise, you cannot contact control panels with the old primary lock code. Control panels with the old primary lock code are updated with the new primary lock code when you make a connection.


Overriding the Datalock Tab Settings

Note

NOTICE! The selection made in the Datalock field on the Panel Data-Edit window overrides any selection made on the Datalock tab.

If the datalock name is selected in the control panel account (from the Panel Data-Edit window), the following rules apply:

If the control panel does not match the selected datalock code in the panel account and the account has a selected datalock code of: | The control panel datalock result is:
Factory/Default | Change to Factory/Default Value
Alternate | Change to Alternate Value
Unaltered | Change to Alternate Value
No Set | See below for additional rules

If the datalock code is not selected in the control panel account (from the Panel Data-Edit window), the following rules apply:

If the control panel has a datalock code that matches the RPS datalock code of: | The control panel datalock result is:
Factory/Default | Reset to Primary Value
Alternate | Reset to Primary Value
Unaltered | Leave as the Unaltered Value

Not all control panels support Datalock. Refer to your control panel's documentation for compatibility.


Activity Log Tab

Note

  • When the maximum number of entries is reached, the oldest activities are overwritten with new ones.

  • The tabs available on the System Configuration window depends on your installation. You might not see all of the tabs shown in the System Configuration window below.

To change which activities are logged into the Activity List, click Config→System.

The System Configuration window opens with the Modem tab active. Click the Activity Log tab.

Field Name | Description
Activity List Events | Click a check box to add the activity to the Activity List.
Max Count | Enter the number of activities to show on the Activity List (1 to 99,999). To change the value currently displayed, highlight the value and type in a new value.
Expert Mode | For Easy Series V3+ only: Place a check mark in this check box to show all of the configuration parameters on the System Configuration window. All Easy Series V3+ control panels will open in Expert Mode when you select this option. If the box has no check, the control panels will open in Basic Mode, showing fewer configuration parameters.
Prompt for Time Setting Confirmation for Easy Series Panels | For Easy Series V2+ and V3+ only: If this check box is selected, the Time Setting Confirmation message appears when an Easy Series account is opened. The message is a reminder to ensure that time synchronization for Easy Series control panels is accurate.
Property Pages Show Color | You can view some entries in color in the Panel Account Panel Settings pane. Use this feature to quickly identify control panel settings. This feature is active (check mark in box) by default. To disable it, click the box to remove the check mark.
OK | Click this button to accept all entries and changes and to close the System Configuration window.
Apply | Click this button to accept all entries and changes without closing the System Configuration window.
Cancel | Click this button to close the window without accepting any selection or entry made.

    Related Topic

  • Activity List


Communications Tab

Note

NOTICE! The tabs available on the System Configuration window depends on your installation. You might not see all of the tabs shown on the System Configuration window below.

To change certain RPS communication functions, click Config→System.

The System Configuration window opens with the Modem tab active. Click the Communications tab.

Field Name

Description

Inactivity Selections

  • Disconnect In: Values are set from 1 to 60 min. If no activity occurs while online with a control panel, a window opens and reminds the user that RPS will disconnect from the control panel in the time set in the Disconnect Timeout field. This acts as an added security feature when the operator steps away from a download session.

  • Disconnect Timeout: Programmable from 5 to 120 sec.

  • Disabled: If checked, the Inactivity feature is disabled.

Important:

  • The inactivity window appears only when data transfer between RPS and the control panel is inactive for the specified time.

  • If the minimum security level (refer to Setting Minimum Security Levels) for Config: Inactivity is set higher than the security level assigned to the user currently logged onto RPS, the user cannot view the Inactivity field.

Event Warning Timeout

Set the amount of time allowed to pass before RPS disconnects from the control panel if no action is taken in the Panel Event window (5 to 120 sec).

Unattended

This field applies only to control panels that support Unattended Service operation.

Choose the number of control panels (up to 12) that can communicate at the same time during Unattended Service operations. The default setting is four control panels.

Important: When more than four control panels are selected for simultaneous Unattended Mode connections, the RAM minimum system requirement changes, depending on the PC’s operating system. Refer to Minimum System Requirements for the operating systems supported by RPS.

Expert Mode

For Easy Series V3+ only: Place a check mark in this check box to show all of the configuration parameters on the System Configuration window. All Easy Series V3+ control panels will open in Expert Mode when you select this option. If the box has no check, the control panels will open in Basic Mode, showing fewer configuration parameters.

Prompt for Time Setting Confirmation for Easy Series Panels

For Easy Series V2+ and V3+ only: If this check box is selected, the Time Setting Confirmation message appears when an Easy Series account is opened. The message is a reminder to ensure that time synchronization for Easy Series control panels is accurate.

Property Pages Show Color

You can view some entries in the Panel Account Panel Settings pane in color. Use this feature to quickly identify control panel settings. This feature is active (check mark in box) by default. To disable it, click the box to remove the check mark.

OK

Click this button to accept all entries and changes and to close the System Configuration window.

Apply

Click this button to accept all entries and changes without closing the System Configuration window.

Cancel

Click this button to close this window without accepting any selection or entry made.

    Related Topic

  • Control Panel Events While Online


Encryption Key Tab

Note

NOTICE! The tabs available on the System Configuration window depends on your installation. You might not see all of the tabs shown in the System Configuration window below.

Encryption keys are enabled and disabled from the Panel Data-Edit window. The Encryption Key feature is not available to all control panel types. PRefer to the control panel's documentation for compatibility.

To enter a new encryption key or modify an existing one, click Config→System.

The System Configuration window opens with the Modem tab active. Click the Encryption Key tab.

Field Name

Description

Encryption Key Columns

    These columns are read-only.

  • ID: A numeric identifier is assigned to each encryption key.

  • Name: Each encryption key can be assigned an operator-specified name.

  • Value: This cell stores the encryption key.

Edit

Click this button to open the Edit Encryption Key window. Use this window to modify the name and/or key.

Expert Mode

For Easy Series V3+ only: Place a check mark in this check box to show all of the configuration parameters on the System Configuration window. All Easy Series V3+ control panels will open in Expert Mode when you select this option. If the box has no check, the control panels will open in Basic Mode, showing fewer configuration parameters.

Prompt for Time Setting Confirmation for Easy Series Panels

For Easy Series V2+ and V3+ only: If this check box is selected, the Time Setting Confirmation message appears when an Easy Series account is opened. The message is a reminder to ensure that time synchronization for Easy Series control panels is accurate.

Property Pages Show Color

You can view some entries in the Panel Account Panel Settings pane in color. Use this feature to quickly identify control panel settings. This feature is active (check in box) by default. To disable it, remove the check by clicking the box.

OK

Click this button to accept all entries/changes made and close the System Configuration window.

Apply

Click this button to accept all entries/changes made without closing the System Configuration window.

Cancel

Click this button to close this window without accepting any selection/entry made.

RPS can store up to 100 encryption keys.

To change an encryption key, click the Edit button.

The Edit Encryption Key window opens.

Field Name | Description
Name | Enter a name for the key in this field.
Key | Enter a key in this field. The key must match the 32-digit key programmed in the network interface module. Acceptable entries include 0-9 and A-F.
OK | Click this button to accept the selection/entry made and close the window.
Cancel | Click this button to close this window without accepting any selection/entry made.

    Related Topic

  • Change a Control Panel Account.


UOM/UON Tab Overview

Note

NOTICE!

The available tabs in the System Configuration window depends on your installation. You might not see all of the tabs shown in the System Configuration window below.

To select and configure the settings used by the Unattended Over Modem (UOM) service, or by the Unattended Over Network (UON) service, click Config→System.

The System Configuration window opens with the Modem tab active. Click the UOM/UON tab.

Field or Button Name | Description
Panel Name | UOM: Select a Panel Name (panel type) to populate a list of supported modems when the Select Modem button is clicked. Refer to Select Modem in this table. UON: Select Easy Series V3+.
Reset String | UOM only: When a modem is selected, the modem reset string appears in this field. The modem reset string can be customized.
Initialization String | UOM only: When a modem is selected, the modem initialization string appears in this field. The modem initialization string can be customized.
Network Port | UON only: Enter the network port number (a value from 1,024 to 66,535) in this field.
COM Port | UOM only: Select the COM port number (1 to 16).
Select Modem | UOM only: Click to show a list of supported modems for the selected Panel Name. Select the desired modem.
Panel Call In Settings | Click to open the Automatic Call In Settings window. Enter the desired schedule for automatic communication.
Panel Settings | Click to open the Panel Settings window. Select the desired unattended actions.
Expert Mode | For Easy Series V3+ only: Place a check mark in this check box to show all of the configuration parameters on the System Configuration window. All Easy Series V3+ control panels will open in Expert Mode when you select this option. If the box has no check, the control panels will open in Basic Mode, showing only the basic configuration parameters.
Prompt for Time Setting Confirmation dialog for Easy Series Panels | For Easy Series V2+ and V3+ only: If this check box is selected, the Time Setting Confirmation message appears when an Easy Series account is opened. The message is a reminder to ensure that time synchronization for Easy Series control panels is accurate.
Property Pages Show Colors | Some entries can be viewed in the Panel Account Panel Settings pane in color. Use this feature to quickly identify control panel settings. This feature is active (check in box) by default. To disable it, remove the check by clicking the box.
OK | Click this button to accept the selection/entry made and close the window.
Apply | Click this button to apply the automatic call-in and panel settings to all accounts with the selected Panel Name (panel type). The window remains open.
Cancel | Click this button to close this window without accepting any selection/entry made.


Unattended Over Modem (UOM) Configuration

Note

NOTICE!

Unattended Over Modem (UOM) service is available only for the DS7400XiV4 and Easy Series V3+ control panels.

  1. On the UOM/UON tab, select one of the panels listed in the Panel Name field.

  2. Click the Select Modem button. The Select Modem window opens with a list of modems supported by the selected panel type. The following example shows the modems for the D7400XiV4-EXP control panel.

  3. Select a modem from the list. Click OK to close the window.

    Refer to the table below for compatible reset and init strings for each supported modem.

Modem | Init String | Reset String | Control Panel
GENPAC Modem | AT&F3S0=0 | AT&F | DS7400XiV4-EXP
Hayes OPTIMA 24 | AT&F3S0=0 | AT&F | DS7400XiV4-EXP
Hayes SMARTMODEM 1200 | AT&C1&D2X0&QS7=255S10=255 | AT&F | DS7400XiV4-EXP
Hayes SMARTMODEM 2400 | AT&C1&D2X0&Q0S7=255S10=255 | AT&F | DS7400XiV4-EXP
Securcomm by DC Security Model DL110 | ATX0S7=255S10=254S9=2 | ATZ | DS7400XiV4-EXP
Agere Systems AC’97 Modem | ATE0X1B0\G1\N1\Q0&K0S7=255S11=200S10=255N0S37=5S8=5 | AT&F | Easy Series V3+
Hayes Compatible Modems 2400 baud or lower | ATE0X1S7=255S8=5S11=200S10=255 | AT&F | Easy Series V3+
Hayes Compatible Modems higher than 2400 baud | ATE0X1S7=255S11=200S10=255N0S37=5S8=5 | AT&F | Easy Series V3+

  4. Click the COM Port drop-down arrow and select a port number from 1 to 16.

  5. Click the Call In Settings button.

    If the selected panel is Easy Series V3+, the Easy Series Automatic Call In Settings window opens.

    If the selected panel is DS7400XiV4-EXP, the DS7400Xi Automatic Call In Settings window opens.

Easy Series Automatic Call In Settings Window

Note

NOTICE!

Changing the following parameters globally affects all Easy Series control panels connected to the network database. Changing these parameters, however, does not affect the RPS workstations that connect to the network database. It is important that all workstations using the network database configure these parameters identically, or inconsistent control panel behavior will result.

Field or Button Name

Description

Selections (Default in Bold)

Start/Stop Times

Enter start and stop times in 24-hour format.

Start time: 22:00

Stop time: 06:00

Frequency

Select the frequency of the automatic call-in.

No automatic call in

Daily automatic call in

Weekly automatic call in

Monthly automatic call in

Day of the Week

Select a day (Sunday through Saturday).

Sunday

Day of the Month

Select the date (1 through 28).

28

Minute Spacing

Minute Spacing: Enter a value from 1 to 100 to determine the amount of time that must pass after the first account dials out to RPS before the next account dials out. For example, if Minute Spacing is set to 9 minutes:

  • Account 1 calls RPS at 22:00

  • Account 2 calls RPS at 22:09

  • Account 3 calls RPS at 22:18

  • Account 4 calls RPS at 22:27

  • Account 5 calls RPS at 22:36

6

Ring Count

Enter the number of rings (from 1 to 12) the UOM service must wait before answering an incoming call from a supported control panel.

3

DS7400XiV4-EXP Call In Settings Window

Option

Description

Selections (Default in Bold)

Master/Slave

This option allows the RPS database in the central monitoring station to be kept up-to-date with current programming changes and history events made in the field.

If a slave installation of RPS is used to update an account, the control panel calls the master RPS at the central monitoring station and updates the master RPS database.

  • Master: Select Master if this installation of RPS is the master installation. For example, this RPS installation is at the central monitoring station.

  • Slave: Select Slave if this installation of RPS is on a mobile device, such as an installer's laptop on-site with the control panel. It is not the RPS installation at the central monitoring station.

Master

Slave

Automatic History Dial Out

This option configures at once all DS7400XiV4-EXP control panel accounts to send history events to.

IMPORTANT: Changing the following parameters globally affects all DS7400XiV4-EXP control panels connected to the network database. Changing these parameters, however, does not affect the RPS workstations that connect to the network database. It is important that all workstations using the network database configure these parameters identically, or inconsistent control panel behavior will result.

  • Start Time and Stop Time: Enter start and stop times in 24-hour format.

Start 22:00

Stop 06:00

  • Dial Out Day: Select a specific day of the week on which the automatic history dial out occurs, or the frequency of occurrence (for example, Every Day, Every 8 Days or Every 28 Days).

Disabled

  • Minute Spacing: Enter a value from 1 to 9 to determine the amount of time must pass after the first account dials out to RPS before the next account dials out. For example, if Minute Spacing is set to 9 minutes:

    • Account 1 calls RPS at 22:00

    • Account 2 calls RPS at 22:09

    • Account 3 calls RPS at 22:18

    • Account 4 calls RPS at 22:27

    • Account 5 calls RPS at 22:36

9

Ring Count

Enter the number of rings (from 1 to 12) the UOM service must wait before answering an incoming call from a supported control panel.

3

  6. Enter the Call In Settings. Refer to the information above for the selected Panel Name.

    If the selected control panel is Easy Series V3+, for Method select Automatic Call In is a phone number. For Phone Number/IP Address, enter a telephone number.

  7. Click OK to apply the settings to the account(s) and close the window.

Note

NOTICE!

The Call In settings will appear on the Panel Data - View window’s UOM/UON tab.

  8. Click the Panel Settings button on the System Configuration UOM/UON tab. The Panel Settings window opens for the selected Panel Name.

Easy Series V3+ Panel Settings Window:

Field or Button Name | Description | Selections (Default in Bold)
Panel Sync Option | Select an option to synchronize account information between RPS and the control panel. | No Update Send Data to Panel Receive Panel Data Automatic Update
History Retrieval Option | Select a history retrieval option. | No Retrieval Receive All Events Receive Current Events
Arming Option | Select how the control panel arms when the UOM service disconnects from the control panel. | None Unoccupied Protection Arm Occupied Protection Arm Custom Protection Arm
Set Date/Time | Check the box to synchronize the date and time settings between the control panel and the RPS PC. | Unchecked
Apply to All | This button becomes active after any setting is changed from the default. This button updates and applies the selected UOM/UON panel settings for all accounts (current, existing, and new) for the selected control panel type. |
OK | This button only updates and applies the selected UOM/UON settings to the control panel account that is currently open. |
Cancel | Click this button to close the window without applying the changes. | 6

DS7400XIV4 Panel Settings Window:

Option

Description

Selections (Default in Bold)

Panel Sync Option

Select an option to synchronize account information between RPS and the control panel.

No Update

Send Data to Panel

Receive Panel Data

Automatic Update

History Retrieval Option

Select a history retrieval option.

No Retrieval

Receive All Events

Receive Current Events

Arming Option

Select how the control panel arms when the UOM service disconnects from the control panel.

None

Master Arm System

Perimeter Arm System

Set Date/Time

Check the box to synchronize the date and time settings between the control panel and the RPS PC.

Unchecked

Panel Time Adjustment

Use this field to account for time zone differences between the RPS PC and the control panel. This field is adjustable in one-hour increments.

Time adjustment is +/-24 hours.

0

Clear System Errors

Check this box to clear system errors in the control panel.

Unchecked

Resettable Warning Option

Set Non-Resettable Warning: This option turns the keypad sounder on. To turn the sounder off, cycle power to the control panel, or use the RPS outputs tab in the online diagnostics for the DS7400XiV4-EXP.

Set Keypad - Resettable Warning: This option turns the keypad sounder on. To turn the sounder off, enter a user PIN at the keypad.

None

Set Non-Resettable Warning

Set Keypad - Resettable Warning

Apply to All

This button becomes active after any setting is changed from the default. This button updates and applies the selected UOM/UON panel settings for all accounts (current, existing, and new) for the selected control panel type.

OK

This button only updates and applies the selected UOM/UON settings to the control panel account that is currently open.

Cancel

Click this button to close the window without applying the changes.

  9. Click OK to close the Panel Settings window.

Note

NOTICE!

Changes made to the UOM Automatic Call In Settings and Panel Settings take effect only after the UOM service is restarted.


Unattended Over Network (UON) Configuration

Note

NOTICE!

UON service is available only for Easy Series V3+ control panels.

  1. On the System Configuration window’s UOM/UON tab, select Easy Series V3+. Refer to UOM/UON Tab Overview.

  2. Enter the value for the network port in the Network Port field. Refer to the table in UOM/UON Tab Overview.

  3. Click the Call In Settings button. The Easy Series Automatic Call In Settings window opens.

  4. At the Method field, select Automatic Call In is a network address.

Field or Button Name

Description

Selections (Default in Bold)

Start/Stop Times

Enter start and stop times in 24-hour format.

Start time: 22:00

Stop time: 06:00

Frequency

Select the frequency of the automatic call-in.

No automatic call in

Daily automatic call in

Weekly automatic call in

Monthly automatic call in

Day of the Week

Select a day (Sunday through Saturday).

Sunday

Day of the Month

Select the date (1 through 28).

28

Minute Spacing

Minute Spacing: Enter a value from 1 to 100 to determine the amount of time that must pass after the first account dials out to RPS before the next account dials out. For example, if Minute Spacing is set to 9 minutes:

  • Account 1 calls RPS at 22:00

  • Account 2 calls RPS at 22:09

  • Account 3 calls RPS at 22:18

  • Account 4 calls RPS at 22:27

  • Account 5 calls RPS at 22:36

6

Ring Count

Enter the number of rings (from 1 to 12) the UOM service must wait before answering an incoming call from a supported control panel.

3

  5. Make the desired Call In settings.

    Refer to the table above for details.

  6. Click OK to apply the settings to the account(s) and close the window.

Note

NOTICE!

The Call In settings will appear on the Panel Data - View window’s UOM/UON tab.

  7. Click the Panel Settings button on the System Configuration UOM/UON tab. The Panel Settings window opens for the Easy Series V3+ control panel.

Field or Button Name | Description | Selections (Default in Bold)
Panel Sync Option | Select an option to synchronize account information between RPS and the control panel. | No Update Send Data to Panel Receive Panel Data Automatic Update
History Retrieval Option | Select a history retrieval option. | No Retrieval Receive All Events Receive Current Events
Arming Option | Select how the control panel arms when the UOM service disconnects from the control panel. | None Unoccupied Protection Arm Occupied Protection Arm Custom Protection Arm
Set Date/Time | Check the box to synchronize the date and time settings between the control panel and the RPS PC. | Unchecked
Apply to All | This button becomes active after any setting is changed from the default. Click to apply the Panel Settings (unattended actions) to all Easy Series V3+ accounts. The window remains open. |
OK | Click this button to apply the changes and close the window. |
Cancel | Click this button to close the window without applying the changes. | 6

  8. To save your changes and keep the UOM Panel Settings window open, click Apply to All.

    To save your changes and close the UOM Panel Settings window, click OK.

    Your changes are applied to all accounts based on the same control panel type.

Note

NOTICE! If you add a new control panel account after configuring the UON settings, the settings are not applied to the new account. To apply the settings, reopen the UOM/UON tab and click OK, or manually update the account.


Operator List

Operators are users that manage the day-to-day operation of RPS to complete account management and panel programming tasks. Each operator must have an account established for him or her in which information about the operator is provided and the operator's security level is established. Operator accounts are managed in the Operator List.

The Operator List window maintains the directory of operators that are authorized to use RPS.

Field Name

Description

Menu Bar

The Menu Bar consists of labeled tabs that contain drop-down menus. Refer to Menu Bar.

toolbar

Use these icons to manage new and existing operators. Refer to Remote Programmer Toolbar for more information.

View Bar

The View Bar provides easy access to the various lists in a drop-down format. Click a selection to open the list.

Information Columns

These columns display the information entered in the Operator Data-New window. Refer to Add an Operator.

These columns can be sorted in either ascending or descending order by clicking on the column title button. Sorting is done by character, then numeric, then alpha.

List Icons

The List icons are shortcuts to the different lists available in RPS.

    You can access the Operator List in any of three ways:

  • Select Operators from the Lists menu.

  • Select Operator List from the View Bar.

  • Click the Operator List icon.

This window is available only to those who have access rights to it as assigned by the administrator.

Note

NOTICE!

RPS comes with one operator by default (ADMIN). This operator should not be deleted; however, the user name (admin) and password (1111) should be changed for security purposes.

    Related topics

  • RPS User Interface

  • Remote Programmer Toolbar

  • Context Menus and Keyboard Shortcuts

  • Add an Operator

  • View an Operator

  • Change an Operator

  • Delete an Operator

  • Print a List Report


Add an Operator

    To add an operator to the Operator List:

  1. Click the New button in the Operator List toolbar.

The Operator Data – New window opens.

Field Name

Description

User Name

Required. Enter the operator’s user name (up to 12 characters).

Full Name

Enter the operator’s full name (up to 20 characters).

Description

Enter any additional information about the operator, such as job title, work schedule, etc. (up to 25 characters).

Address

Enter the operator’s address (up to 100 characters).

Voice Phone

Enter the operator’s telephone number (up to 32 characters).

Password

Required. Enter the operator’s login password (up to 12 characters).

Confirm Password

Required. Re-enter the operator’s login password to ensure there were no errors when the password was first entered.

Created Date

This read-only field identifies the date when the operator account was created.

Last Modified

This read-only field identifies the date when the operator account was last changed.

Security Level

Required. Enter the security level for this operator. This determines the features and actions that this operator use/perform.

IMPORTANT: Only an operator with a security level of 15 can modify another operator’s security levels. Therefore, you must always have at least one operator with a security level of 15.

Language

Select the operator's native language. RPS opens using the selected language the next time the operator logs in.

Notes

Enter any additional description or comments pertaining to this operator.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

  2. Enter a user name for the new operator in the User Name field (required).

  3. Enter a password for the new operator in the Password field (required).

  4. Re-enter the password in the Confirm Password field (required).

  5. Click OK to save the new operator.

    All other entry fields on this window are optional.

    Related topics

  • Security Tab

  • Operator List

  • View an Operator

  • Change an Operator

  • Delete an Operator


View an Operator

To view details about an operator, click the View button in the Operator List toolbar.

The Operator Data – View window opens.

Button Name | Description
Edit | Click this button to change the selected operator's properties. Refer to Change an Operator.
OK | Click this button to close the Operator Data - View window.
Cancel | Click this button to close the Operator Data - View window.

This window shows a more detailed summary of the operator highlighted in the Operator List. Fields in this window include the information from the Operator List along with additional information such as the security level of the operator and notes. This information is inserted when an operator is added, but can be edited at any time by an operator with the proper security level.

    Related Topics

  • Operator List

  • Add an Operator

  • Change an Operator

  • Delete an Operator


Change an Operator

  1. Select an operator by clicking on the appropriate row in the Operator List window. Refer to Operator List.

  2. Click the View button.

  3. When the Operator Data – View window opens, click the Edit button.

The Operator Data – Edit window opens.

Field Name

Description

User Name

Required. Enter the operator’s user name (up to 12 characters).

Full Name

Enter the operator’s full name (up to 20 characters).

Description

Enter any additional information about the operator, such as job title, work schedule, etc. (up to 25 characters).

Address

Enter the operator’s address (up to 100 characters).

Voice Phone

Enter the operator’s telephone number (up to 32 characters).

Password

Required. Enter the operator’s login password (up to 12 characters).

Confirm Password

Required. Re-enter the operator’s login password to ensure there were no errors when the password was first entered.

Create Date

This read-only field identifies the date when the operator account was created.

Last Modified

This read-only field identifies the date when the operator account was last changed.

Security Level

Required. Enter the security level for this operator. This determines the features and actions that this operator use/perform.

IMPORTANT: Only an operator with a security level of 15 can modify another operator’s security levels. Therefore, you must always have at least one operator with a security level of 15.

Language

Select the operator's native language. RPS opens using the selected language the next time the operator logs in.

Notes

Enter any additional description or comments pertaining to this operator.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

  4. Change the properties as needed. Click OK to save the changes and close the Operator Data - Edit window.

    Related Topics

  • Operator List

  • Add an Operator

  • View an Operator

  • Delete an Operator


Delete an Operator

    To delete an operator account from the Operator List:

  1. Click the Delete button in the Operator List toolbar.

  2. Click Yes when the Operator Delete window opens.

Note

NOTICE! RPS comes with one operator by default (ADMIN). Do not delete this operator. However, change the user name (admin) and password (1111) for security purposes.

    Related Topics

  • Operator Listr

  • Add an Operator

  • View an Operator

  • Change an Operatorr


Print a List Report

A list report consists of the contents of the selected list's information columns.

  1. Click File→�Print.

The List Report Dialog opens.

Fields and Buttons | Description
Available Fields | Content changes according to the selected list. Click the appropriate check box to select or de-select report content.
OK | Click OK to open the a print preview window.
Cancel | Click Cancel to close the List Report Dialog without printing the report.
Select All | Click Select All to select all of the Available Fields options.
Clear | Click Clear to de-select all of the Available Fields options.

  2. Click the appropriate check boxes in the Available Fields list to select the desired information columns.

  3. Click OK.

A print preview window opens.

Note

NOTICE! Content shown in the previous window changes according to the selected list. Below is an example using the Operator List.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

  4. Click Print to print the content from the selected information columns.


Unattended Service Overview

Note

NOTICE! If running RPS on Microsoft® Windows® Vista, you must turn off User Account Control in order for Unattended Service to run properly.

    To turn off User Account Control in Windows Vista:

  1. Go to Start > Control Panel >User Accounts and Family Safety > User Accounts.

  2. Click Turn User Account Control On or Off.

  3. Clear the option check box.

  4. Click OK.

  5. Restart the PC when prompted.


Unattended Over Network (UON)

Note

NOTICE!

  • The Unattended Mode feature is installed only when the Unattended Operation box is checked on the Select Features window (refer to the figure below) during initial software installation.

  • This feature requires a network connection, and is currently available only for the Easy Series V3+ and 9000 Series Control Panels (D9412GV2, D7412GV2, D7212GV2, D9412G, D7412G, D7212G, D9412, D7412, and D7212).

The Unattended Service feature allows RPS users to keep their existing control panel accounts up to date with minimal user interaction. When the specified Unattended Service start time is reached, RPS begins Unattended Service operations by connecting to the control panel accounts properly configured for Unattended Service, using a network connection to perform the specified data transfer and history retrieval functions.

Unattended Service supports a load balance for multiple panel accounts at a time for each PC configured for Unattended Mode operation (refer to "Unattended Simultaneous Connections Allowed" in Communications Tab). For example, if there is a total of 32 panel accounts, and two PCs are configured for Unattended Service, each PC processes the selected number of accounts at one time. The PC that finishes its initial load of accounts first then begins processing the next group of accounts while the other PC finishes its first load. If two or more PCs are configured for Unattended Service and one computer “locks” up, the other PC(s) handle the workload of the PC that is no longer functioning.

Note

NOTICE!

  • A maximum 5-minute lag time from the Unattended Service start time might occur. For example, if the start time is set for 12:00, Unattended Service might not wake up to check the time until 12:03 or 12:04.

  • RPS does not take Daylight Saving Time changes into account when using Unattended Mode. For example, in the U.S., do not select a start or stop time between 2 AM and 3 AM (when the change occurs) for Unattended Mode time windows.

When the Unattended Service session ends (the specified end time is reached), RPS completes the account it is currently updating and then stops processing the list even if it did not finish going through all of the accounts. An Unattended Service Failure Alert message is generated to indicate that the list was not completed within the session’s time limit. When the next Unattended Service session begins, RPS starts in the account list where it left off and continues through to the beginning of the list until all accounts marked for Unattended Service operations have been updated.

If an Unattended Service session is stopped and then restarted, RPS checks back for any tasks that were not processed and processes these tasks first.

Refer to Minimum System Requirements for a list of operating systems that are compatible with Unattended Service.


Unattended Over Modem (UOM)

The UOM service is installed only when the Unattended Operation box is checked on the Select Features window during initial software installation.

UOM is currently available only for the Easy Series V3+ and DS7400XiV4-EXP control panels.

The UOM service synchronizes information between the RPS account and the control panel, and retrieves history events from the control panel.

Communication occurs over a modem, and is initiated by the control panel.

$ Accounts

If RPS receives an incoming call from a control panel that does not have an existing account in RPS, the UOM service creates an account and inserts a "$" sign as the first character in the account name followed by a random eight-digit number. The agency code and remote passcode are left blank.

When RPS first creates a “$” account, RPS can only receive data for that account regardless of the Unattended Service settings. For future sessions, RPS will use the Unattended Service settings as configured for the account.

Note

NOTICE!

Account Number 1 and Central Station Phone 1 must match in the RPS account.


Configuring for Unattended Service Operations

    To use the Unattended Service feature, you must:

  • Configure the control panel account, and/or

  • Configure the RPS PC


Configuring the Control Panel Account

    Use the following steps to configure an Easy Series V3+, 9000 Series, or DS7400XiV4-EXP control panel account for Unattended Service operation:

  1. From the Panel List, select a Panel Name and click the View icon in the Remote Programmer toolbar. The Panel Data-View window opens.

  2. Click the Network tab.

  3. Click the Edit button. The fields are now editable.

Note

NOTICE!

In the following table, the default values are in bold type.

Field or Button Name

Description

IP Address/Host Name

Enter a valid IP address or host name.

Note: If necessary, obtain this information from the network administrator.

Panel Port

7700:

Enter the network communication port number of the control panel.

Time Out

15

Enter the amount of time (in seconds) RPS waits for a response from the control panel over the network before disconnecting.

Encryption

  • Auto: This option automatically detects whether or not encryption is enabled on the control panel while working in conjunction with the Encryption Key. Choose this method if you are not sure if encryption is enabled on the control panel. This option first tries to establish a connection with encryption, and then retries without encryption in the event of a communication failure.

  • Disabled (default setting): This option turns encryption off. This setting should be used with 9000 Series control panels using firmware version 6.2 or earlier, and Easy Series V2+ control panels.

  • Enabled: This option turns encryption on. During every connection, the encryption key in RPS must match the encryption key in the 9000 Series, Easy Series V3+, and DS7400 control panel coboxes.

IMPORTANT: Encryption is available to the 9000 Series (with firmware version 6.3 or later), Easy Series V3+, and DS7400 control panels. This field should be set to "Disabled" if the control panel is not using encryption and is set for Unattended Mode operation.

Key

This is a security option that prevents unauthorized access to a 9000 Series control panel with firmware version 6.3 or higher installed, or to an Easy Series V3+ or DS7400 control panel. The 32-character entry in this field must match the key in the control panel cobox exactly or remote access is denied. If you do not enter a custom key, RPS inserts a default key of 01020304050607080910111213141516.

IMPORTANT: The Key option works only when the Encryption option is enabled.

Enable Unattended Mode

  • Checked: Activates the items under the Actions heading and enables the Unattended Service feature for the selected control panel.

  • Unchecked: Disables the Unattended Service feature for the selected control panel.

Time Window Assignment

Select the desired time window from the list. The Unattended Service will run automatically on this schedule.

Panel Sync Option

  • No Update: No update is made to the RPS panel account or to the panel.

  • Receive Panel Data: The existing programming data in the control panel replaces the data that is in the RPS panel account.

  • Send Data to Panel: The existing programming data in the RPS panel account replaces the programming data in the control panel.

History Retrieval Option

  • No Retrieval: No history retrieval of history events is made.

  • Retrieve Current Events: Retrieval of only the events in a panel’s history log that occurred since the last history retrieval.

Set Date/Time

  • Unchecked: The control panel’s date and time are not set during the Unattended session.

  • Checked: The Unattended Service feature sets the control panel’s date and time using the date and time from the PC that processes this account.

Panel Time Adjustment

0

Select a value between -24 and 24 to compensate for time-zone differences.

For example, if the control panel is located in California and the RPS PC is in New York, the Panel Time Adjustment should be set for –3. Click the Down Arrow for negative (-) number entries and the Up Arrow for positive (+) number entries.

Edit

Click to allow editing of the fields.

OK

Click to save changes and close the window.

Cancel

Click to close the window without saving changes.

  4. Enter a valid IP Address or host name in the IP Address\Host Name field. If necessary, obtain this information from the network administrator.

Note

NOTICE!

Ensure that the Network fields (specifically the IP Address\Host Name field) are properly set. The Unattended Service feature does not operate without these settings.

  5. Check the Enable Unattended Mode check box. The feature is now enabled for this control panel account. The items under the Actions heading are now active (the default setting is no check in the Enable Unattended Mode check box and Actions grayed out).

Note

NOTICE!

  • If you check the Enable Unattended Mode box but do not make any changes to the Unattended Action settings, a message appears when you click the Panel Data-Edit window’s OK button. This message states that Unattended actions have not been set and that Unattended Service will be disabled.

  • If you check the Enable Unattended Mode box but do not enter an IP address in the IP Address\Host Name field, an error message appears. This message states that the data provided is either incomplete or invalid. Three buttons also appear on the error message:

    • Details: Click this button to see details related to the error message displayed.

    • OK: Click this button to accept the error message without viewing any details or entering any comments.

    • Comments: Do not use at this time.

  6. Select a time window from the Time Window Assignment drop-down list. Refer to Window List for instructions on setting up a Time Window.

Note

NOTICE! If you do not assign a time window but you make changes to the Unattended Action settings, a message appears stating that a Time Window has not been assigned to the account and that Unattended Service will be disabled.

  7. Under Actions, select your desired Panel Sync Option and History Retrieval Option settings. Refer to the table above for more information about the selections.

Note

NOTICE!

  • Upon receiving the panel data, RPS automatically saves the data and then disconnects from the panel. A Compare Data operation cannot be performed during an Unattended Mode session.

  • When sending data to the panel, RPS automatically resets the control panel. Central Station events are generated if any of the reports associated with programming changes, disconnection, and/or panel reset are enabled in the control panel.

Caution

CAUTION!

    When Unattended Service resets the panel after communication is complete, the following actions occur:

  • Any alarms that occur (such as fire alarms or burglar alarms) are reset.

  • Any smoke detectors configured to reset using CMD 47 are reset.

  • Any reports in progress and in queue over the telephone line are lost.

  • Alarm memory is lost (the history log still shows alarms).

  8. If you want the Unattended Service feature to set the control panel’s date and time using the date and time from the PC that processes this account, click the Set Date/Time check box.

  9. Set the Panel Time Adjustment box to account for time zone differences. Refer to the table above for more information about this setting.

  10. Click OK to save your changes and close the window.

    Click Cancel to close the window without saving any changes.


Configuring the RPS PC

    Use the following steps to configure the RPS PC for Unattended Service operation.

  1. From the Config menu, select System and then select the Communications tab.

  2. In the Simultaneous Connection Allowed field, select the number of control panels that will connect at the same time for Unattended Service operations (range is 1 to 12 control panels; default is 4).

  3. Click OK to save any settings and close the System Configuration window.

  4. Open the Time Window List:

    • Select Windows from the Lists menu, or

    • Select Time Windows List from the View drop-down list, or

    • Click the Window List icon, found in the lower right corner of the Remote Programmer Software (RPS) window.

  5. Click the New icon in the toolbar. The Window Data-New window appears.

  6. From the Window Data-New window, configure the Time Window Info window areas. Refer to Window List for information on creating, editing, and deleting Time Windows.

  7. Click OK to save the settings and close the Window Data-New window.

    Click Cancel to close the window without saving any of the settings.

You are returned to the Window List when you finish configuring a Time Window. This list provides a summary of the settings made for each Time Window.


Unattended Service Quick Enable/Disable Features

Note

NOTICE!

The quick enable/disable features are available only to control panels that support the Unattended Service feature. These control panels must be properly configured for Unattended Service and network communications in order to use the quick enable and disable features.

    You can quickly enable or disable the Unattended Service feature for accounts that support this feature in either of two ways:

  • Use the Unattended Menu (refer to Using the Unattended Menu)

  • Use the pop-up menu on the Panel List window (refer to Using the Pop-up Menu in the Panel List Screen)


Using the Unattended Menu

Select an option in the Unattended Menu to start or to stop Unattended Service.

Option | Description
Start Service | Starts Unattended Mode, both over a network (UON) and over a modem (UOM).
Stop Service | Stops Unattended Mode, both UON and UOM.
Start up | The Unattended Mode feature can be manually enabled or disabled from the Unattended Menu in the Remote Programmer Menu Bar.
Start UOM | UOM seizes the configured COM port and is ready to receive a call from the control panel. Unattended Service must start before UOM will run.
Stop UOM | UOM stops and closes the seized COM port. UOM also stops when the Unattended Service is stopped.
Field Name and Options |  | Description
StartUp Type:
 | Automatic | Automatically starts the Unattended Mode service when the PC is started.
 | Manual | Requires the user to use the Start/Stop Service selections found under the Unattended Menu.
 | Disabled | Unattended Mode service for the PC is always off.
Log On As:
 | System Account | This option is intended for Unattended Mode service when used on a local PC.
 | This Account | This option is intended for Unattended Mode service when used on a networked database.
 | Domain | Enter the name of the domain that is being logged into for a networked database.
 | Name | Enter a valid user login name for this account. This must be a valid user who is allowed to log into the PC where the database resides.
 | Password | Enter the user login password for this account. The password must match the user login password on the PC where the database resides.
 | Confirm Password | Re-enter the user login password as a security measure.


Using the Pop-up Menu in the Panel List Screen

When an operator right-clicks on a control panel account from the Panel List, a pop-up menu appears with options to either enable or disable Unattended Mode. This feature does not affect any of the settings on the Panel List window other than in the Unattended Mode column.

Note

NOTICE!

Limited Windows users cannot access The Unattended Menu. Only Windows users with full rights can access this menu.


Unattended Service Retry Attempts

If the network where the control panel resides experiences difficulties or outages, RPS retries the communication attempt every 5 minutes until the attempt is successful or the Time Window expires. This retry period does not begin until all of the scheduled Unattended Service operations are processed for the allotted time window. If the Time Window expires and a successful communication attempt was not established, RPS generates an Unattended Service failure alert and marks that control panel as an unsuccessful communication attempt.

The diagram below shows 10 control panels assigned to a time window for Unattended Service operations. Below the diagram is the corresponding step-by-step explanation.

  1. RPS successfully connects to and processes Panels 1 to 4.

  2. RPS fails to establish a connection to Panel 5 on the first attempt.

  3. As a result of this failure, Panel 5 is moved to the end of the work list.

  4. RPS then successfully connects to and processes Panels 6 to 10.

  5. RPS returns to Panel 5 and tries every 5 min to establish a connection. This retry process continues until a successful connection is made, or the time window expires.

If RPS failed to establish a connection with other control panels on the first attempt, those control panels would also move to the end of the work list. RPS would then attempt to connect to them when all of the Unattended Service operations were processed.


Unattended Service Failure Alert Message

If any accounts marked for Unattended Service fail or are not updated during the Unattended Service session, a failure alert message appears.

This message appears only to an administrative user (security level 15) upon login. After the message clears, it is turned off for all administrative users until the next Unattended Service failure occurs. Non-administrative users do not see the failure message.

If the first attempt at establishing an Unattended Mode session with the control panel fails, but a subsequent attempt succeeds, a failure alert message still appears. Check the Activity List to ensure that all Unattended Service sessions completed successfully.


Overriding/Accessing an Account in Unattended Service

An administrative user can override an account that is currently communicating in an Unattended Service session. A window appears that provides the user the option to override the account or allow it to finish its unattended session. Below are the choices presented on this window.

  • Yes: Click Yes to try to override the lock and save changes made by [UNATTENDED].

  • No: Click No to try to override the lock and ignore changes made by [UNATTENDED].

  • Cancel: Click Cancel to open the panel in View Only Mode.

If the administrative user overrides the account, a “Communication Aborted” event is generated in the Activity List. The account is then marked for retry and continues during the idle time of the Unattended Mode session.

If an account is communicating in an Unattended Service session and a non-administrative user (user with a security level under 15) attempts to access the account, a message appears indicating that the account is in use by the Unattended Service feature. A non-administrative user cannot override or abort an Unattended Service session.


Unattended Service Activity List Entries

The table below shows the Unattended Service-related events that appear in the Activity List, which provides the user with the option of printing an Unattended Service report. These events also include information in the fields already provided, such as control panel type, control panel name, control panel account number, and so on. The details shown in the table below are examples only. Details vary, depending on control panel configuration.

The following table shows events specific to the Unattended Over Modem (UOM) service.

Category | Details
U_SET_TIME | Control panel time was set
U_PANEL_CONNECT | Control panel connection opened
U_COMM_SUCCESS | Successful communication
UNATTENDED_START | Unattended operations started
U_COMM_FAILURE | Unsuccessful communication
U_HIST_GET_ALL | Get all control panel history
U_HIST_COMPLETE | Received # history events
U_PANEL_SYNC | Control panel synchronization (receive from control panel)
U_HIST_GET_CURRENT | Get current control panel history
U_HIST_SET_POINTER | Set control panel history pointer
U_PANEL_SYNC | Control panel synchronization (send to control panel)
U_UNPROCESSED* | Unattended account not processed during Time Window
UNATTENDED_STOP | Unattended operations stopped
U_COMM_ABORT | Unattended communication aborted
* Large blocks of panel accounts marked as “U_UNPROCESSED” might be caused by turning the Unattended Mode PC off, or by stopping the Unattended Service service.

The following table shows events specific to the Unattended Over Modem (UOM) service.

Category | Details
UOM_INVALID_SETTINGS | UOM settings are not valid.
UOM_PORT_OPEN_FAILURE | COM port could not be opened by UOM.
UOM_PORT_CLOSE_FAILURE | COM port could not be closed by UOM.
UOM_MODEM_INITIALIZATION FAILURE | Modem initialization failed.
UOM_$_ACCOUNT_FAILURE | UOM is not able to create a $ account.
UOM_DUPLICATE_ACCOUNT | UOM failed due to a duplicate account.
UOM_PASSCODE_FAILURE | UOM passcode verification failed.
UOM_COMM_FAILURE | UOM communication failed.
UOM_COMM_SUCCESSFUL | UOM communication was successful.
UOM_ABORTED | UOM was aborted.
UOM_START | UOM was started.
UOM_STOP | UOM was stopped.
UOM_SET_TIME | Control panel date/time synchronized with RPS PC date/time.
UOM_PANEL_SYNC | Control panel synchronization (receive from panel) successfully completed.
UOM_PANEL_SYNC | Control panel synchronization (send to panel) successfully completed.
UOM_PANEL_SYNC | Control panel synchronization (automatic update) successfully completed.
UOM_GET_ALL_HISTORY | RPS received all of the control panel's history events.
UOM_HISTORY_COMPLETE | History event retrieval completed.
UOM_GET_CURRENT_HISTORY | RPS received the control panel's history events that were logged since the last history retrieval.
UOM_MASTER_ARM | The control panel is master-armed.
UOM_PERIMETER_ARM | The control panel is perimeter-armed.
UOM_NON_RESETTABLE_WARNING | The control panel's non-resettable keypad warning is set. Refer to the table in Unattended Over Network (UON) Configuration.
UOM_KEYPAD_RESETTABLE_WARNING | The control panel's resettable keypad warning is set. Refer to UOM Global Settings in Unattended Over Network (UON) Configuration.
UOM_CLEAR_SYSTEM_ERRORS | All system errors in the control panel were cleared.
UOM_PANEL_CONNECT | Control panel connection was opened.
UOM_OCCUPIED_PROTECTION | The control panel is armed Occupied-protection.
UOM_UNOCCUPIED_PROTECTION | The control panel is armed Unoccupied-protection.
UOM_CUSTOM_PROTECTION | The control panel is armed Custom-protection.


Preventing Access to Unattended Service

    If it is necessary to prevent user access to the Unattended Mode feature, security level adjustments should be made to the following items in the Security Tab:

  • Lists: Panels, New

  • Lists, Panels, View/Edit

  • Lists: Templates, New

  • Lists: Templates, View/Edit

  • Lists: Windows, View/Edit

To change the minimum security level setting, refer to Security Tab for more information.


PC Configuration Overview

Note

NOTICE!

  • If more than one PC is set up to run Unattended Service operations across a shared database, the 9000 Series “SDI RAM Callback Enabled” parameter in RADXAUX1 should be set to No to prevent potential communication failures.

  • If more than one PC is set up to run Unattended Service operations across a shared database, the datalock codes must match for all PCs so that tasks can run as expected.

When running Unattended Service operations using a networked database with any Windows 2000/XP PCs, these PCs must be configured by a system administrator to allow the user to “log on as a service.”


Configuring a PC with Windows 2000�

    Use the following steps to configure the Log on as a service setting on a PC with Windows 2000:

  1. Select Start→Control Panel.

  2. Select Administrative Tools.

  3. Open Local Security Settings in Administrative Tools.

  4. On the Tree tab, expand Local Policies and select User Rights Assignment.

  5. Double-click the Log on as a service policy.

  6. The Local Security Policy Setting window appears. Click the Add button.

  7. The Select Users or Groups window appears. Double-click each user that will be using Unattended Service, or choose “everyone” to set permissions for all users.

  8. Click OK to close the Select Users or Groups window.

  9. Click OK again to save changes and close the Local Security Policy Setting window.


Configuring a PC with Windows XP

    Use the following steps to configure the Log on as a service setting on a PC with Windows XP:

  1. Select Start→Control Panel.

  2. Select Administrative Tools.

  3. Select Local Security Policy.

  4. Select Log on as a Service.

  5. The Log on as a service Properties window appears. Click Add User or Group.

  6. The Select Users or Groups window appears. Double-click each user that will be using Unattended Service, or choose “everyone” to set permissions for all users.

  7. Click OK to close the Select Users or Groups window.

  8. Click OK again to save changes and close the Log on as a service Properties window.


Window List Overview

The Window List provides a summary of the settings made for each time window. Time windows are used to enable the PC for Unattended Service operations.

Field Name | Description
Menu Bar | The Menu Bar has labeled tabs that contain drop-down menus. Refer to Menu Bar.
Toolbar | Use the Toolbar icons to manage new and existing time windows. Refer to Remote Programmer Toolbar for more information.
View Bar | The View Bar provides easy access to the various lists in a drop-down format. Click a menu selection to open the list.
Information Columns | The Information Columns display the information entered in the Window Data-New window. Refer to Add a New Time Window. These columns can be sorted in either ascending or descending order by clicking on the column title button. Sorting is done by character, then numeric, then alpha.
List Icons | The List Icons are shortcuts to the different lists available in RPS.

You can access the Window List in any of three ways:

  • Select Windows from the Lists menu.

  • Select Time Windows List from the View Bar.

  • Click the Windows icon.

    Related Topics

  • Change a Time Window

  • Context Menus and Keyboard Shortcuts

  • Add a New Time Window

  • Delete a Time Window

  • Print a List Report

  • Remote Programmer Toolbar


Add a New Time Window

To create a new time window:

  1. Click the New icon in the toolbar.

  2. Enter the required information in the Window Data-New window.

Field Name

Description

Name

Required. Enter a name for the time window

Description

Enter any additional information about the time window.

Status

Enable or disable the PC from running the specified time window.

Warning: If you select Disabled from the Status menu and assign the time window to a control panel account, Unattended Service does not run. Ensure that the time window is enabled before assigning it to a control panel account.

Start Time and End Time

Set the Unattended Service Start and End Time. To make the hour entry, select the hour digits and type in the desired number. You can also use the scroll arrows. Repeat for the minutes entry. Times are in 24-hour format (Midnight = 0000, Noon = 1200, 12:01 AM = 0001).

Warning:

Do not assign the same start time and end time to a time window. Doing so results in unprocessed tasks.RPS does not take Daylight Saving time changes into account when using Unattended Mode. For example, in the U. S., do not select a start or stop time between 2 AM and 3 AM for Unattended Mode time windows.

Type

Every Day (default): Select this option to assign the time window from Sunday to Saturday.

Day of Week: Select this option to assign the time window to specific days. The days of the week appear (all selected) when this option is selected. Click the check boxes to deselect days as desired.

OK

Click this button to accept the selections and entries and to close the window.

Cancel

Click this button to close this window without accepting any changes.

  3. Click OK to save your entries and close the window.

    Related Topics

  • Change a Time Window

  • Delete a Time Window

  • Window List Overview


Change a Time Window

To change an existing time window:

  1. Select the time window and click the View icon from the toolbar.

    The Window Data-View window opens.

  2. Click the Edit button to make the fields active.

    The Window Data-View window changes to the Window Data-Edit window.

Field Name

Description

Name

Required. Enter a name for the time window

Description

Enter any additional information about the time window.

Status

Enable or disable the PC from running the specified time window.

Warning: If you select Disabled from the Status menu and assign the time window to a control panel account, Unattended Service will not run. Make sure the time window is enabled before assigning it to a control panel account.

Start Time and End Time

Set the Unattended Service Start and End Time. To make the hour entry, select the hour digits and type in the desired number. You can also use the scroll arrows. Repeat for the minutes entry. Times are in 24-hour format (Midnight = 0000, Noon = 1200, 12:01 AM = 0001).

Warning:

Do not assign the same start time and end time to a time window. Doing so results in unprocessed tasks.RPS does not take Daylight Saving time changes into account when using Unattended Mode. For example, in the U.S., do not select a start or stop time between 2 AM and 3 AM for Unattended Mode time windows.

Type

Every Day: Select this option to assign the time window from Sunday to Saturday.

Day of Week: Select this option to assign the time window to specific days.

OK

Click this button to accept the selections and entries and to close the window.

Cancel

Click this button to close this window without accepting any changes.

  3. Make the desired changes and click OK to save the settings and close the Window Data-Edit window.

    Related Topics

  • Add a New Time Window

  • Delete a Time Window

  • Window List Overview


Delete a Time Window

To delete an existing time window:

  1. Select the time window from the Window List.

  2. Click the Delete icon in the toolbar.

  3. Click Yes when the Window Delete window opens.

Warning

WARNING!

If the selected time window is currently assigned to a control panel account, a second confirmation message appears indicating that Unattended Service will be disabled in the control panel account assigned to the time window if it is deleted.

    Related Topics

  • Change a Time Window

  • Add a New Time Window

  • Window List Overview


Print a List Report

A list report consists of the contents of the selected list's information columns.

  1. Click File→�Print.

    The List Report dialog opens.

Buttons and Fields | Description
Available Fields | Content changes according to the selected list. Click the appropriate check box to select or de-select report content.
OK | Click OK to open the a print preview window.
Cancel | Click Cancel to close the List Report dialog without printing the report.
Select All | Click Select All to select all of the Available Fields options.
Clear | Click Clear to deselect all of the Available Fields options.

  2. Click the appropriate check boxes in the Available Fields list to select the desired information columns.

  3. Click OK.

    A print preview window opens.

Note

NOTICE!

Content shown in the preview window changes according to the selected list. Below is an example using the Operator List.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

  4. Click Print to print the content from the selected information columns.


Panel List Overview

Use the Panel List to add, change, or delete control panel accounts.

Field Name | Description
Menu Bar | The Menu Bar consists of labeled tabs that contain drop-down menus. Refer to Menu Bar.
Toolbar | Use these icons to manage new and existing time windows. Refer to Remote Programmer Toolbar for more information.
View Bar | The View Bar provides easy access to the various lists in a drop-down format. Click a menu selection to open the list.
Information Columns | These columns display the information entered in the Panel Data-New window. Refer to Add a New Control Panel Account. These columns can be sorted in either ascending or descending order by clicking on the column title button. Sorting is done by character, then numeric, then alpha.
List Icons | The List icons are shortcuts to the different lists available in RPS.

You can access the Panel List in any of three ways:

  • Select Panels from the Lists menu.

  • Select Panel List from the View Bar.

  • Click the Panels icon.

Use the Panel Filter to show a subset of all control panels in the Panel List. Refer to Panel Filter.

    Related Topics

  • Datalock Tab

  • Encryption Key Tab

  • Panel Filter

  • Add a New Control Panel Account

  • View a Control Panel Account

  • Delete a Panel Account

  • Entering an Account Note

  • Control Panel Account Overview

  • Synchronizing Control Panel and RPS Data

  • Control Panel Update


Panel Filter

Click the Filter button to open the Panel Filter dialog.

  • To perform a date-based filter, select a date parameter from the drop-down menu, then click OK.

  • To perform a panel information-based filter, select the control panel filter criteria from the Panel Information drop-down menus, then click OK.

    Related Topics

  • RPS User Interface Overview

  • Remote Programmer Toolbar

  • Context Menus and Keyboard Shortcuts

  • Add a New Control Panel Account

  • View a Control Panel Account

  • Change a Control Panel Account

  • Create a Link to a Panel Account

  • Delete a Panel Account

  • Print a List Report


Add a New Control Panel Account

    To add a control panel account:

  1. Click the New icon in the Panel List toolbar.

    The New Panel window opens.

Field Name

Description

New Tab

Click this tab to select a control panel type for a new control panel account. Click a control panel type to select it.

Warning: Available control panels depends on your installation. You might not see all of the control panel types shown in the above screen shot.

Existing Tab

Click this tab to create a new control panel account using an existing account. Click a control panel type to select it. The data for the new account is copied from the existing account when you click OK.

Template Tab

Click this tab to create a new control panel account using an existing template. This is useful if you have created templates for common types of control panel accounts. Click a control panel type to select it. The data for the new account is copied from the existing template when you click OK.

OK

Click this button to accept the selections and entries and to close the window.

Cancel

Click this button to close this window without creating a new control panel account.

  2. Select a control panel type and click OK to create the new account.

    The Panel Data - New window opens. Depending on the selected control panel type, this window contains three tabs:

    • Panel Info: This tab provides the demographics of the control panel account. Refer to Panel Info Tab.

    • Network: This tab configures the control panel account for a network connection. Refer to Network Tab.

    • UOM/UON: This tab configures the control panel account for control panel-initiated Unattended Over Modem (UOM) and control panel-initiated Unattended Over Network (UON) services. Refer to UOM/UON Tab.


Panel Info Tab

Field Name

Description

Panel Name

Required. Enter a name for the account (up to 32 characters).

Warning: RPS does not allow duplicate account names, or additional spaces after an account name.

Street

Enter the street name and number where the control panel is installed.

City

Enter the name of the city where the control panel is installed.

State

Enter the name of the state where the control panel is installed.

Panel Phone

Enter the telephone number to connect to the control panel (up to 32 characters).

Contact

Enter the name of the person to contact regarding this control panel (up to 30 characters).

Voice Phone

Enter the contact person's voice telephone number (up to 32 characters).

Description

Enter any additional description or comments about this control panel (up to 64 characters).

Read-only Fields

  • Create Date: Identifies when the account was created.

  • Last Modified: Identifies when the account was last changed.

  • Last Connected: Identifies when RPS last connected to the control panel.

  • Last Received: Identifies when RPS last received data from the control panel.

  • Last Sent: Identifies when the control panel last sent data to RPS.

  • Panel Type: Identifies the account's panel type.

    Note: This field is not read-only for the following control panels: Easy Series V2+, D7212, D9412, D9112, D9412, and D7412GV2. These control panels can be upgraded by selecting the desired control panel type from the drop-down list.

Datalock

This option is available only to certain control panel types.The selection made here overrides any selection made on the Datalock tab. Refer to Overriding the Datalock Tab Settings for more information.

Account Notes

Enter any notes specific to this account.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

The following options are available only for the Easy Series V2+ and V3+ control panel types:

Field Name

Description

Country Code

Required: Select the appropriate code for country-specific operation and programming defaults.

Auto Sync Enabled

Select this option to enable automatic synchronization of data between the RPS account and the control panel using data checksums and time stamps.

IMPORTANT: If you select this option, the PC clock setting in RPS must be correct to ensure proper data synchronization.

Wireless Device System

(Easy Series V3+ only)

  • 868 Mhz

  • 915 Mhz

Select the correct value for the wireless device system that is used.

Note: The Mhz value changes based on the country code.

Panel Response Wait Time

Enter the number of seconds RPS waits for an acknowledgement message from the control panel after RPS polls the control panel. RPS polls the control panel during a communication attempt and throughout an online session.

If RPS does not receive an acknowledgement message within the time entered in this field, RPS polls the control panel two more times. After the third time, an error message appears if RPS does not receive an acknowledgement message from the control panel.

IMPORTANT: To ensure adequate polling time, enter a value of at least 5 sec.

  • Range: 1 to 60 sec in one-second increments

  • Deault: 15 sec

Hours:Minutes from UTC

Proper automatic data synchronization also depends on the control panel's correct UTC setting,

Select the time zone where the control panel is located. The country or area selected determines the time difference between the control panel and UTC (Coordinated Universal Time), also referred to as GMT (Greenwich Mean Time).

Ring Wait Time

8

Enter the amount of time RPS allows for the first phone ring to occur before hanging up and preparing to redial.

  • Range: 5 to 30 sec in one-second intervals

  • Default: 8 sec

Redial Delay

8

Enter the amount of time RPS waits from the time it hangs up after the first phone ring to the time it re-dials the control panel.

  • Range: 5 to 30 sec in one-second intervals

  • Default: 8 sec


Network Tab

Field Name

Description

IP Address/Host Name

Enter the address or the host name to which the control panel is connected (optional).

  • Static IP Address: If the IP address does not change, enter the address in this field.

  • Host Name: If you are using Dynamic Host Configuration Protocol (DHCP), RPS requires a host name in order to communicate with the control panel. See your network administrator for information on assigning a host name.

Panel Port

7700

Enter the number of the port to which the control panel is connected. Valid range is 1,024 to 65,535.

Time Out

15

Enter the amount of time RPS waits to connect to the control panel before declaring an unsuccessful session. Valid range is 0 to 999 sec.

Encryption

  • Auto: This option automatically detects whether or not encryption is enabled on the control panel while working in conjunction with the Encryption Key. Choose this method if you are not sure if encryption is enabled on the control panel. This option first tries to establish a connection with encryption, and then retries without encryption in the event of a communication failure.

  • Disabled (default setting): This option turns encryption off. This setting should be used with 9000 Series control panels using firmware version 6.2 or earlier.

  • Enabled: This option turns encryption on. During every connection, the encryption key in RPS must match the encryption key in the 9000 Series, Easy Series V3+, and DS7400 control panel coboxes.

IMPORTANT: Encryption is available to the 9000 Series (with firmware version 6.3 or later), Easy Series V3+, and DS7400 control panels. This field should be set to "Disabled" if the control panel is not using encryption.

Key

This is a security option that prevents unauthorized access to a 9000 Series control panel with firmware version 6.3 or higher installed, or to an Easy Series V3+ or DS7400 control panel. The 32-character entry in this field must match the key in the control panel cobox exactly or remote access is denied. If you do not enter a custom key, RPS inserts a default key of 01020304050607080910111213141516.

IMPORTANT: The Key option works only when the Encryption option is enabled.

Enable Unattended Mode

Check this box to enable the account for Unattended Service operation.

Time Window Assignment

Select a time window to the account. Refer to Window List for more information.

Panel Sync Option

Select a control panel synchronization option for the account. Refer to Configuring for Unattended Service Operations for more information.

History Retrieval Option

Select a history retrieval option for the account. Refer to Configuring for Unattended Service Operations for more information.

Set Date/Time

Check this box to set the control panel's date and time during Unattended Service operation.

Panel Time Adjustment

Use this field to account for time zone differences when setting the 9000 Series and DS7400 control panels’ time during Unattended Service operation.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.


UOM/UON Tab

Option

Description

Selections (Default in Bold)

Panel Sync Option

Select an option to synchronize account information between RPS and the control panel.

No Update

Send Data to PanelReceive Panel DataAutomatic Update

History Retrieval Option

Select a history retrieval option.

No Retrieval

Receive All Events

Receive Current Events

Arming Option

Select how the control panel arms when the UOM service disconnects from the control panel.

None

Master Arm System

Perimeter Arm System

Set Date/Time

Check the box to synchronize the date and time settings between the control panel and the RPS PC.

Note: This option is not available for all control panel types.

Unchecked

Panel Time Adjustment

Use this field to account for time zone differences between the RPS PC and the control panel. This field is adjustable in one-hour increments.Time adjustment is +/-24 hours.

Note: This option is not available for all control panel types.

0

Clear System Errors

Check this box to clear system errors in the DS7400XiV4-EXP control panel.

Note: This option is not available for all control panel types.

Unchecked

Resettable Warning Option

Set Non-Resettable Warning: This option turns the keypad sounder on. To turn the sounder off, cycle power to the control panel, or use the RPS outputs tab in the online diagnostics for the DS7400XiV4-EXP.

Set Keypad - Resettable Warning: This option turns the keypad sounder on. To turn the sounder off, enter a user PIN at the keypad.

Note: This option is not available for all control panel types.

None

Set Non-Resettable WarningSet Keypad - Resettable Warning

  3. When you are finished entering the control panel's information, click OK.

After the panel account is created:

  • Update the account with the control panel's programming data (refer to Communicating with a Control Panel), or

  • Enter programming data in the panel account, and then send the data to the control panel (refer to Synchronizing Control Panel and RPS Data).

    Related Topics

  • Datalock Tab

  • Encryption Key Tab

  • Panel List Overview

  • Panel Filter

  • View a Control Panel Account

  • Change a Control Panel Account

  • Delete a Panel Account

  • Entering an Account Note

  • Control Panel Account Overview

  • Synchronizing Control Panel and RPS Data

  • Control Panel Update


View a Control Panel Account

To view details about a control panel account, click the View icon in the Panel List toolbar.

The Panel Data - View window opens.

Button Name | Description
Edit | Click this button to edit the selected panel account. The Panel Data - Edit window opens. Refer to Change a Control Panel Account.
OK | Click this button to save information entered in the Panel Data - Edit window and close it.
Cancel | Click this button to close the Panel Data - View window.
Note

NOTICE!

You cannot view Datalock codes from the Panel Data - View window. You must click the Edit button to view and edit Datalock codes. Not all control panel types in RPS support Datalock codes.

This window shows a more detailed summary of the panel highlighted in the Panel List.

    Related Topics

  • Panel List

  • Panel Filter

  • Add a New Control Panel Account

  • Change a Control Panel Account

  • Delete a Panel Account


Change a Control Panel Account

To change the information in a control panel account:

  1. Select the account and click the View icon.

  2. When the Panel Data - View window opens, click the Edit button. The Panel Data - Edit window opens.

    Depending on the selected control panel type, this window contains three tabs:

    • Panel Info: This tab provides the demographics of the control panel account. Refer to Panel Info Tab.

    • Network: This tab configures the control panel account for a network connection. Refer to Network Tab.

    • UOM/UON: This tab configures the control panel account for control panel-initiated Unattended Over Modem (UOM) and control panel-initiated Unattended Over Network (UON) services. Refer to UOM/UON Tab.


Panel Info Tab

Field Name

Description

Panel Name

Required: Enter a name for the account (up to 32 characters).

Warning: RPS does not allow duplicate account names, or additional spaces after an account name.

Street

Enter the street name and number where the control panel is installed.

City

Enter the name of the city where the control panel is installed.

State

Enter the name of the state where the control panel is installed.

Zip Code

Enter the postal zip code where the control panel is installed.

Panel Phone

Enter the telephone number to connect to the control panel (up to 32 characters).

Contact

Enter the name of the person to contact regarding this control panel (up to 30 characters).

Voice Phone

Enter the contact person's voice telephone number (up to 32 characters).

Description

Enter any additional description or comments about this control panel (up to 64 characters).

Read-only Fields

  • Create Date: Identifies when the account was created.

  • Last Modified: Identifies when the account was last changed.

  • Last Connected: Identifies when RPS last connected to the control panel.

  • Last Received: Identifies when RPS last received data from the control panel.

  • Last Sent: Identifies when the control panel last sent data to RPS.

  • Panel Type: Identifies the account's control panel type.

  • Rom Revision: Identifies the firmware revision of the control panel after a communication session.

Datalock

This option is available only to certain control panel types.The selection made here overrides any selection made on the Datalock tab. Refer to Overriding the Datalock Tab Settings for more information.

Account Notes

Enter any notes specific to this account.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

The following options are available only for the Easy Series V2+ and V3+ control panel types:

Field Name

Description

Country Code

Required: Select the appropriate code for country-specific operation and programming defaults.

Auto Sync Enabled

Select this option to enable automatic synchronization of data between the RPS account and the control panel using data checksums and time stamps.

IMPORTANT: If you select this option, the PC clock setting in RPS must be correct to ensure proper data synchronization.

Wireless Device System

(Easy Series V3+ only)

  • 868 Mhz

  • 915 Mhz

Select the correct value for the wireless device system that is used.

Note: The Mhz value changes based on the country code.

Panel Response Wait Time

Enter the number of seconds RPS waits for an acknowledgement message from the control panel after RPS polls the control panel. RPS polls the control panel during a communication attempt and throughout an online session.

If RPS does not receive an acknowledgement message within the time entered in this field, RPS polls the control panel two more times. After the third time, an error message appears if RPS does not receive an acknowledgement message from the control panel.

IMPORTANT: To ensure adequate polling time, enter a value of at least 5 sec.

  • Range: 1 to 60 sec in one-second increments

  • Deault: 15 sec

Hours:Minutes from UTC

Proper automatic data synchronization also depends on the control panel's correct UTC setting.

Select the time zone where the control panel is located. The country or area selected determines the time difference between the control panel and UTC (Coordinated Universal Time), also referred to as GMT (Greenwich Mean Time).

Ring Wait Time

8

Enter the amount of time RPS allows for the first phone ring to occur before hanging up and preparing to redial.

  • Range: 5 to 30 sec in one-second intervals

  • Deault: 8 sec

Redial Delay

8

Enter the amount of time RPS waits from the time it hangs up after the first phone ring to the time it re-dials the control panel.

  • Range: 5 to 30 sec in one-second intervals

  • Deault: 8 sec


Network Tab

This tab configures the control panel account for a network connection.

Field Name

Description

IP Address/Host Name

Enter the address or the host name to which the control panel is connected (optional).

  • Static IP Address: If the IP address does not change, enter the address in this field.

  • Host Name: If you are using Dynamic Host Configuration Protocol (DHCP), RPS requires a host name in order to communicate with the control panel. See your network administrator for information on assigning a host name.

Panel Port

7700

Enter the number of the port to which the control panel is connected. Valid range is 1,024 to 65,535.

Time Out

15

Enter the amount of time RPS waits to connect to the control panel before declaring an unsuccessful session. Valid range is 0 to 999 sec.

Encryption

  • Auto: This option automatically detects whether or not encryption is enabled on the control panel while working in conjunction with the Encryption Key. Choose this method if you are not sure if encryption is enabled on the control panel. This option first tries to establish a connection with encryption, and then retries without encryption in the event of a communication failure.

  • Disabled (default setting): This option turns encryption off. This setting should be used with 9000 Series control panels using firmware version 6.2 or earlier.

  • Enabled: This option turns encryption on. During every connection, the encryption key in RPS must match the encryption key in the 9000 Series, Easy Series V3+, and DS7400 control panel coboxes.

IMPORTANT: Encryption is available to the 9000 Series (with firmware version 6.3 or later), Easy Series V3+, and DS7400 control panels. This field should be set to "Disabled" if the control panel is not using encryption.

Key

This is a security option that prevents unauthorized access to a 9000 Series control panel with firmware version 6.3 or higher installed, or to an Easy Series V3+ or DS7400 control panel. The 32-character entry in this field must match the key in the control panel cobox exactly or remote access is denied. If you do not enter a custom key, RPS inserts a default key of 01020304050607080910111213141516.

IMPORTANT: The Key option works only when the Encryption option is enabled.

Enable Unattended Mode

Check this box to enable the account for Unattended Service operation.

Time Window Assignment

Select a time window to the account. Refer to Window List for more information.

Panel Sync Option

Select a control panel synchronization option for the account. Refer to Configuring for Unattended Service Operations for more information.

History Retrieval Option

Select a history retrieval option for the account. Refer to Configuring for Unattended Service Operations for more information.

Set Date/Time

Check this box to set the control panel's date and time during Unattended Service operation.

Panel Time Adjustment

Use this field to account for time zone differences when setting the 9000 Series and DS7400 control panels’ time during Unattended Service operation.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.


UOM/UON Tab

  1. Select the account and click the View icon. The Panel Data - View window opens.

Note

NOTICE!

The options shown in the Panel Data-New screen above and in the table below are not available for all control panel types.

Option | Description | Selections (Default in Bold)
Panel Sync Option | Select an option to synchronize account information between RPS and the control panel. | No Update Send Data to PanelReceive Panel DataAutomatic Update
History Retrieval Option | Select a history retrieval option. | No RetrievalReceive All EventsReceive Current Events
Arming Option | Select how the control panel arms when the UOM service disconnects from the control panel. | NoneMaster Arm SystemPerimeter Arm System
Resettable Warning Option | Set Non-Resettable Warning: This option turns the keypad sounder on. To turn the sounder off, cycle power to the control panel, or use the RPS outputs tab in the online diagnostics for the DS7400XiV4-EXP.Set Keypad - Resettable Warning: This option turns the keypad sounder on. To turn the sounder off, enter a user PIN at the keypad. | None Set Non-Resettable WarningSet Keypad - Resettable Warning
Clear System Errors | Check this box to clear system errors in the DS7400XiV4-EXP control panel. | Unchecked
Set Date/Time | Check the box to synchronize the date and time settings between the control panel and the RPS PC. | Unchecked
Panel Time Adjustment | Use this field to account for time zone differences between the RPS PC and the control panel. This field is adjustable in one-hour increments.Time adjustment is +/-24 hours. | 0

  2. Click the UOM/UON tab.

  3. Click the Edit button. The window name changes to Panel Data - Edit.

  4. Change information as necessary.

  5. Click the OK button to save the changes and close the Panel Data - Edit window.

    Related Topics

  • Add a New Control Panel Account

  • Delete a Panel Account

  • Encryption Key Tab

  • Entering an Account Note

  • Panel Filter

  • Panel List


Create a Link to a Panel Account

The Links feature provides a quick and easy way to access the program record sheet for a selected account. To create a link, use the following procedure:

  1. Select a panel account.

  2. Right-click the Panel Name.

  3. From the context menu, click the Make Link option.

    The new link appears next to the View bar.

  4. To remove the link, right-click the link.

    The Remove Link option appears.

  5. Click the Remove Link option.

    The link is removed.

Note

NOTICE!

If the panel is deleted from the Panel List, the link no longer functions and must be removed.


Delete a Panel Account

To delete a panel account from the Panel List:

  1. Select the panel account from the Panel List.

  2. Click the Delete icon in the Panel List toolbar.

  3. Click Yes when the Panel Delete window opens.

Warning

WARNING!

Deleting a control panel account does not automatically delete the history associated with it. To delete the history events associated with a control panel account, follow the instructions contained in the Delete Multiple Filtered Events topic. Refer to Delete Multiple Filtered Events.

    Related Topics

  • Add a New Control Panel Account

  • Change a Control Panel Account

  • Change a Control Panel Account

  • Panel Filter

  • Panel List Overview

  • View a Control Panel Account


Template List Overview

Templates are control panel accounts that are pre-programmed by an operator or administrator with often-used programming characteristics. Templates can then be used to create new accounts.

Use the Template List to add, change, or delete control panel templates.

Field Name | Description
Menu Bar | The Menu Bar consists of labeled tabs that contain drop-down menus. Refer to Menu Bar.
Toolbar | Use these icons to manage new and existing time windows. Refer to Remote Programmer Toolbar for more information.
View Bar | The View Bar provides easy access to the various lists in a drop-down format. Click a menu selection to open the list.
Information Columns | These columns display the information entered in the Template Data-New window (refer to Add a Template ).These columns can be sorted in either ascending or descending order by clicking on the column title button. Sorting is done by character, then numeric, then alpha.
List Icons | The List icons are shortcuts to the different lists available in RPS.

You can access the Template List in any of three ways:

  • Select Template from the Lists menu.

  • Select Template List from the View Bar.

  • Click the Template List icon.

    Related Topics

  • RPS User Interface Overview

  • Remote Programmer Toolbar

  • Context Menus and Keyboard Shortcuts

  • Add a Template

  • View a Template

  • Change a Template

  • Delete a Template

  • Print a List Report


Add a Template

Note

NOTICE!

Available control panels depends on your installation. You might not see all of the control panel types shown in the Create Account window below.

To add a template to the Template List:

  1. Click the New icon in the Template List toolbar.

    The Create Account window opens.

Field Name | Description
New Tab | Click this tab to select a control panel type for a new control panel template. Click a control panel type to select it.
Existing Tab | Click this tab to create a new control panel account using an existing account. Click a control panel type to select it. The data for the new account is copied from the existing account when you click OK.
Template Tab | Click this tab to create a new control panel account using an existing template. This is useful if you have created templates for common types of control panel accounts. Click a control panel type to select it. The data for the new account is copied from the existing account when you click OK.
OK | Click this button to create the new template and close this window.
Cancel | Click this button to close this window without creating a new template.

  2. Select a control panel type and click OK to create the new template.

    The Template Data - Edit window opens. Depending on the selected control panel type, this window contains up to two tabs:

    • Template Info: This tab provides the name, location, and contact information for the control panel template.

    • Network: This tab configures the control panel template for a network connection. The Network tab only applies to the 9000 Series, Easy Series V3+, and DS7400XiV4_EXP control panels.


Template Info Tab

Field Name

Description

Template Name

Required: Enter a name of the template that indicates the type of template, such as "Residence," "Business," and so on (up to 30 characters).

Warning: RPS does not allow duplicate template names, or additional spaces after a template name.

Address

Enter the street address, the city, state and zip code of the place where the control panel is installed (up to 100 characters).

Panel Phone

Enter the telephone number to connect to the control panel (up to 32 characters).

Contact

Enter the name of the person to contact regarding this control panel (up to 30 characters).

Voice Phone

Enter the contact person's voice telephone number (up to 32 characters).

Read-only Fields

  • Create Date: Identifies when the account was created.

  • Last Modified: Identifies when the account was last changed.

Account Notes

Enter any notes specific to this template.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

The following options are available only for the Easy Series V2+ and V3+ control panel types:

Field Name

Description

Country Code

Required: Select the appropriate code for country-specific operation and programming defaults.

Auto Sync Enabled

Select this option to enable automatic synchronization of data between the RPS account and the control panel using data checksums and time stamps.

IMPORTANT: If you select this option, the PC clock setting in RPS must be correct to ensure proper data synchronization.

Wireless Device System

(Easy Series V3+ only)

  • 868 Mhz

  • 915 Mhz

Select the correct value for the wireless device system that is used.

Note: The Mhz value changes based on the country code.

Panel Response Wait Time

Enter the number of seconds RPS waits for an acknowledgement message from the control panel after RPS polls the control panel. RPS polls the control panel during a communication attempt and throughout an online session.

If RPS does not receive an acknowledgement message within the time entered in this field, RPS polls the control panel two more times. After the third time, an error message appears if RPS does not receive an acknowledgement message from the control panel.

IMPORTANT: To ensure adequate polling time, enter a value of at least 5 sec.

  • Range: 1 to 60 sec in one-second increments

  • Deault: 15 sec

Hours:Minutes from UTC

Proper automatic data synchronization also depends on the control panel's correct UTC setting.

Select the time zone where the control panel is located. The country or area selected determines the time difference between the control panel and UTC (Coordinated Universal Time), also referred to as GMT (Greenwich Mean Time).

Ring Wait Time

8

Enter the amount of time RPS allows for the first phone ring to occur before hanging up and preparing to redial.

  • Range: 5 to 30 sec in one-second intervals

  • Default: 8 sec

Redial Delay

8

Enter the amount of time RPS waits from the time it hangs up after the first phone ring to the time it re-dials the control panel.

  • Range: 5 to 30 sec in one-second intervals

  • Default: 8 sec


Network Tab

This tab configures the control panel template for a network connection. The Network tab applies only to the 9000 Series, Easy Series V3+, and DS7400XiV4-EXP control panels.

Field Name

Description

IP Address/Host Name

Enter the address or the host name to which the control panel is connected (optional).

  • Static IP Address: If the IP address does not change, enter the address in this field.

  • Host Name: If you are using Dynamic Host Configuration Protocol (DHCP), RPS requires a host name in order to communicate with the control panel. See your network administrator for information on assigning a host name.

Panel Port

7700

Enter the number of the port to which the control panel is connected. Valid range is 1,024 to 65,535.

Time Out

15

Enter the amount of time RPS waits to connect to the control panel before declaring an unsuccessful session. Valid range is 0 to 999 sec.

Encryption

  • Auto: This option automatically detects whether or not encryption is enabled on the control panel while working in conjunction with the Encryption Key. Choose this method if you are not sure if encryption is enabled on the control panel. This option first tries to establish a connection with encryption, and then retries without encryption in the event of a communication failure.

  • Disabled (default setting): This option turns encryption off. This setting should be used with 9000 Series control panels using firmware version 6.2 or earlier.

  • Enabled: This option turns encryption on. During every connection, the encryption key in RPS must match the encryption key in the 9000 Series, Easy Series V3+, and DS7400 control panel coboxes.

IMPORTANT: Encryption is available to the 9000 Series (with firmware version 6.3 or later), Easy Series V3+, and DS7400 control panels. This field should be set to "Disabled" if the control panel is not using encryption and is set for Unattended Mode operation.

Key

This is a security option that prevents unauthorized access to a 9000 Series control panel with firmware version 6.3 or higher installed, or to an Easy Series V3+ or DS7400 control panel. The 32-character entry in this field must match the key in the control panel cobox exactly or remote access is denied. If you do not enter a custom key, RPS inserts a default key of 01020304050607080910111213141516.

IMPORTANT: The Key option works only when the Encryption option is enabled.

Enable Unattended Mode

Check this box to enable the account for Unattended Service operation.

Time Window Assignment

Select a time window to the account. Refer to Window List for more information.

Panel Sync Option

Select a control panel synchronization option for the account. Refer to Configuring for Unattended Service Operations for more information.

History Retrieval Option

Select a history retrieval option for the account. Refer to Configuring for Unattended Service Operations for more information.

Set Date/Time

Check this box to set the control panel's date and time during Unattended Service operation.

Panel Time Adjustment

Use this field to account for time zone differences when setting the 9000 Series and DS7400 control panels’ time during Unattended Service operation.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

  3. When you are finished entering the template's information, click OK.

    Related Topics

  • Encryption Key Tab

  • Template List Overview

  • View a Template

  • Change a Template

  • Delete a Template


View a Template

To view details about a template, click the View icon in the Template List toolbar.

The Template Data - View window opens. This window shows a detailed summary of the template highlighted in the Template List.

Button Name | Description
Edit | Click this button to edit the selected Template account. The Template Data - Edit window opens. Refer to Change a Template.
OK | Click this button to save information entered in the Template Data - Edit window and close it.
Cancel | Click this button to close the Template Data - View window.

    Related Topics

  • Template List Overview

  • Add a Template

  • Change a Template

  • Delete a Template


Change a Template

To change the information in a control panel template:

  1. Select the template and click the View icon.

  2. When the Template Data - View window opens, click the Edit button. The Template Data - Edit window opens.

    The window has two tabs:

    • Template Info: This tab provides the name, location, and contact information for the control panel template.

    • Network: This tab configures the control panel template for a network connection. The Network tab applies only to the 9000 Series, Easy Series V3+, and DS7400XiV4-EXP control panels.


Template Info Tab

This tab provides the name, location, and contact information for the control panel template.

Field Name

Description

Template Name

Required. Enter a name of the template that indicates the type of template, such as “Residence,” “Business,” etc. (up to 30 characters)

IMPORTANT: RPS does not allow duplicate template names, or additional spaces after a template name.

Address

Enter the street address, city, state, and zip code of the place where the control panel is installed (up to 100 characters).

Panel Phone

Enter the telephone number to connect to the control panel (up to 32 characters).

Contact

Enter the name of the person to contact regarding this control panel (up to 30 characters).

Voice Phone

Enter the contact person's voice telephone number (up to 32 characters).

Description

Enter any additional description or comments about this control panel (up to 64 characters).

Read-only Fields

  • Create Date: Identifies when the template was created.

  • Last Modified: Identifies when the template was last changed.

Account Notes

Enter any notes specific to this account.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

The following options are available only for the Easy Series V2+ and V3+ control panel Template type:

Field Name

Description

Country Code

Required: Select the appropriate code for country-specific operation and programming defaults.

Auto Sync Enabled

Select this option to enable automatic synchronization of data between the RPS account and the control panel using data checksums and time stamps.

IMPORTANT: If you select this option, the PC clock setting in RPS must be correct to ensure proper data synchronization.

Wireless Device System

(Easy Series V3+ only)

  • 868 Mhz

  • 915 Mhz

Select the correct value for the wireless device system that is used.

Note: The Mhz value changes based on the country code.

Panel Response Wait Time

Enter the number of seconds RPS waits for an acknowledgement message from the control panel after RPS polls the control panel. RPS polls the control panel during a communication attempt and throughout an online session.

If RPS does not receive an acknowledgement message within the time entered in this field, RPS polls the control panel two more times. After the third time, an error message appears if RPS does not receive an acknowledgement message from the control panel.

IMPORTANT: To ensure adequate polling time, enter a value of at least 5 sec.

  • Range: 1 to 60 sec in one-second increments

  • Default: 15 sec

Hours:Minutes from UTC

Proper automatic data synchronization also depends on the control panel's correct UTC setting.

Select the time zone where the control panel is located. The country or area selected determines the time difference between the control panel and UTC (Coordinated Universal Time), also referred to as GMT (Greenwich Mean Time).

Ring Wait Time

8

Enter the amount of time RPS allows for the first phone ring to occur before hanging up and preparing to redial.

  • Range: 5 to 30 sec in one-second intervals

  • Default: 8 sec

Redial Delay

8

Enter the amount of time RPS waits from the time it hangs up after the first phone ring to the time it re-dials the control panel.

  • Range: 5 to 30 sec in one-second intervals

  • Default: 8 sec


Network Tab

This tab configures the control panel template for a network connection. The Network tab applies only to the 9000 Series control panels with firmware version 6.3 and later, and to the Easy Series V3+ and DS7400 control panels.

Field Name

Description

IP Address/Host Name

Enter the address or the host name to which the control Template is connected (optional).

  • Static IP Address: If the IP address does not change, enter the address in this field.

  • Host Name: If you are using Dynamic Host Configuration Protocol (DHCP), RPS requires a host name in order to communicate with the control panel. See your network administrator for information on assigning a host name.

Panel Port

7700

Enter the number of the port to which the control panel is connected (optional). Valid range is 1,024 to 65,535.

Time Out

15

Enter the amount of time that RPS waits to connect to the control panel before declaring an unsuccessful session (optional). Valid range is 0 to 999 seconds.

Encryption

  • Auto: This option automatically detects whether or not encryption is enabled on the control panel while working in conjunction with the Encryption Key. Choose this method if you are not sure if encryption is enabled on the control panel. This option first tries to establish a connection with encryption, and then retries without encryption in the event of a communication failure.

  • Disabled (default setting): This option turns encryption off. This setting should be used with 9000 Series control panels using firmware version 6.2 or earlier.

  • Enabled: This option turns encryption on. During every connection, the encryption key in RPS must match the encryption key in the 9000 Series, Easy Series V3+, and DS7400 control panel coboxes.

IMPORTANT: Encryption is available to the 9000 Series (with firmware version 6.3 or later), Easy Series V3+, and DS7400 control panels. This field should be set to "Disabled" if the control panel is not using encryption and is set for Unattended Mode operation.

Key

This is a security option that prevents unauthorized access to a 9000 Series control panel with firmware version 6.3 or higher installed, or to an Easy Series V3+ or DS7400 control panel. The 32-character entry in this field must match the key in the control panel cobox exactly or remote access is denied. If you do not enter a custom key, RPS inserts a default key of 01020304050607080910111213141516.

IMPORTANT: The Key option works only when the Encryption option is enabled.

Time Window Assignment

Select a time window to the account. Refer to Window List for more information.

Panel Sync Option

Select a control panel synchronization option for the account. Refer to Configuring for Unattended Service Operations for more information.

History Retrieval Option

Select a history retrieval option for the account. Refer to Configuring for Unattended Service Operations for more information.

Set Date/Time

Check this box to set the control panel’s date and time during Unattended Service operation.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

  3. Change information as necessary.

  4. Click the OK button to save the changes and close the Template Data - Edit window.

    Related Topics

  • Encryption Key Tab

  • Template List Overview

  • Add a Template

  • View a Template

  • Delete a Template


Delete a Template

To delete a template from the Template List:

  1. Select the template from the Template List.

  2. Click the Delete icon in the Template List toolbar.

  3. Click Yes when the Template Delete window opens.

    Related Topics

  • Add a Template

  • Change a Template

  • Template List Overview

  • View a Template


Print a List Report

A list report consists of the contents of the selected list's information columns.

  1. Click File→�Print.

    The List Report dialog opens.

Buttons and Fields | Description
Available Fields | Content changes according to the selected list. Click the appropriate check box to select or de-select report content.
OK | Click OK to open the print preview window.
Cancel | Click Cancel to close the List Report dialog without printing the report.
Select All | Click Select All to select all of the Available Fields options.
Clear | Click Clear to deselect all of the Available Fields options.

  2. Click the appropriate check boxes in the Available Fields list to select the desired information columns.

  3. Click OK.

    A print preview window opens.

Note

NOTICE!

Content shown in the preview window changes according to the selected list. Below is an example using the Operator List.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

  4. Click Print to print the content from the selected information columns.


History List Overview

RPS records each control panel event and stores it in the History List, if the operator retrieves the event during a communications session with the control panel.

Field Name | Description
Menu Bar | The Menu Bar consists of labeled tabs that contain drop-down menus. Refer to Menu Bar for more information.
Toolbar | Use these icons to manage new and existing time windows. Refer to Remote Programmer Toolbar for more information.
View Bar | The View Bar provides easy access to the various lists in a drop-down format. Click a menu selection to open the list.
Information Columns | These columns display the information entered in the Panel Data-New window.These columns can be sorted in either ascending or descending order by clicking on the column title button. Sorting is done by character, then numeric, then alpha.
List Icons | The List icons are shortcuts to the different lists available in RPS.

You can access the History List in any of three ways:

  • Select History from the Lists menu.

  • Select History from the View Bar.

  • Click the History List icon.

    Related Topics

  • RPS User Interface

  • Remote Programmer Toolbar

  • Context Menus and Keyboard Shortcuts

  • History Filter

  • View History

  • Delete a Single Event

  • Delete Multiple Filtered Events

  • Print a List Report


History Filter

Click the Filter icon to open the History Filter window.

Field Name

Description

Start Range

When using the Filter function, entries for both Start Date and Start Time must be entered.

  • Start Date: Enter the start date for the period you want to view.

  • Start Time: Enter the starting time of day for the period you want to view.

IMPORTANT:

  • When entering Date/Time information in the History Filter window, you must enter it exactly as displayed in the History List. Use forward slashes (/) to separate date information and use uppercase letters for AM and PM (for example, 12/9/02 (space) 12:59 (space) AM).

  • Start Date and End Date entries cannot cross the year boundary. For example, do not enter 12/31/03 as the Start Date and 01/01/04 as the End Date.

  • When filtering history for the 9000 Series, the 9000G Series, and the 9000GV2 Series control panels, the year in the End Date field must be set to 2024 or 9996.

End Range

When using the Filter function, entries for both End Date and End Time must be entered

  • End Date: Enter the end date for the period you want to view.

  • End Time: Enter the ending time of day for the period you want to view.

IMPORTANT:

  • When entering Date/Time information in the History Filter window, you must enter it exactly as displayed in the History List. Use forward slashes (/) to separate date information and use uppercase letters for AM and PM (for example, 12/9/02 (space) 12:59 (space) AM).

  • Start Date and End Date entries cannot cross the year boundary. For example, do not enter 12/31/03 as the Start Date and 01/01/04 as the End Date.

  • When filtering history for the 9000 Series, the 9000G Series, and the 9000GV2 Series control panels, the year in the End Date field must be set to 2024 or 9996.

History

  • Panel Name: Enter the name of the control panel you want to view.

  • Account #: Enter an account number in this field to view events only reported by this account.

  • Area #: Enter an area number in this field to view events that occurred only in the specified area (this field may not be available to all control panel types).

  • Details: Enter specific event information (for example, "Data Bus=088" or "Phone number = 1").

History Groups

Check the boxes next to the types of events you want to view:

  • Alm/Tbl/Res: View Alarm, Trouble, and Restoral events.

  • Open/Close: View Opening and Closing events.

  • Test/Status: View Test and Status events.

  • System: View System events.

  • Access: View Access Control events.

  • Walk Test: View Walk Test events.

IMPORTANT:

Not all event group categories apply to every control panel type.

Clear

Click this button to restore all filter fields to their default values.

OK

Click this button to apply the filter. The History List reappears showing only the events that fit the criteria as specified in the History Filter window.

Cancel

Click this button to close this window without accepting any selection/entry made.

Click the Filter button in the History List toolbar to open the History Filter window.

The History Filter window permits you to narrow the list of history events to those that match specified criteria based on start and end dates, start and end times, account numbers, area numbers, and/or event groups.

    Related Topics

  • History List Overview

  • View History

  • Delete a Single Event

  • Delete Multiple Filtered Events

  • History Export


View History

To view a control panel's history:

  1. Ensure that the control panel's history is loaded into RPS. Refer to Viewing Control Panel History for more information.

  2. Select an event in the History List.

  3. Click View.

The History Data View window opens.

    Related Topics

  • History List Overview

  • History Filter

  • Delete a Single Event

  • Delete Multiple Filtered Events

  • History Export


Delete a Single Event

To delete a single event from the History List:

  1. Highlight the event in the History List.

  2. Click the Delete icon in the History List toolbar.

  3. Click Yes when the History Delete window opens.

Caution

CAUTION!

Events deleted from the history cannot be recovered. Be absolutely sure of the events you want to delete before clicking Yes in the History Delete window.

    Related Topics

  • History List Overview

  • History Filter

  • View History

  • Delete Multiple Filtered Events


Delete Multiple Filtered Events

To delete a range of events:

  1. Click the Filter button on the History List Toolbar.

  2. Specify the range and type of events to be deleted and then apply the filter.

  3. After the filter is applied, be sure to check the filtered list.

  4. Click the Delete View button to delete all the events in the current list.

  5. Click Yes when the History Delete window opens.

Caution

CAUTION!

Events deleted from the history cannot be recovered. Be absolutely sure of the events you want to delete before clicking Yes in the History Delete window.

    Related Topics

  • Delete a Single Event

  • History Filter

  • History List Overview

  • View History


Print a List Report

A list report consists of the contents of the selected list's information columns.

  1. Click File→�Print.

    The List Report dialog opens.

Fields and Buttons | Description
Available Fields | Content changes according to the selected list. Click the appropriate check box to select or de-select report content.
OK | Click OK to open the a print preview window.
Cancel | Click Cancel to close the List Report dialog without printing the report.
Select All | Click Select All to select all of the Available Fields options.
Clear | Click Clear to deselect all of the Available Fields options.

  2. Click the appropriate check boxes in the Available Fields list to select the desired information columns.

  3. Click OK.

    A print preview window opens.

Note

NOTICE!

Content shown in the preview window changes according to the selected list. Below is an example using the Operator List.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

  4. Click Print to print the content from the selected information columns.


History Export

To export the history log:

  1. Open the History List by doing one of the following:

  • Select History from the Lists menu

  • Select History List from the View Bar

  • Click the History List icon

  2. Select File -> History Export.

  3. Select an export option:

  • All: Select All to export the entire history log.

  • View: Select View to export a specified portion of the history log. Use the History Filter to specify which entries to export.

  4. In the Save As window, do the following:

    1. In the Save in field, specify where you want to export the history log.

    2. In the File name field, enter a name for the exported content.

    3. From the Save as type menu, select a file type for the exported content.

    4. Click Save.


Activity List Overview

All general activities that occurred are logged in the Activity List.

Field Name | Description
Menu Bar | The Menu Bar consists of labeled tabs that contain drop-down menus. Refer to Menu Bar for more information.
Toolbar | Use these icons to manage new and existing time windows. Refer to Remote Programmer Toolbar for more information.
View Bar | The View Bar provides easy access to the various lists in a drop-down format. Click a menu selection to open the list.
Information Columns | These columns display the information entered in the Template Data-New window.These columns can be sorted in either ascending or descending order by clicking on the column title button. Sorting is done by character, then numeric, then alpha.
List Icons | The List icons are shortcuts to the different lists available in RPS.

The items that are logged in the Activity List are set on the Activity Log tab (refer to Activity Log Tab).

You can access the Activity List in any of three ways:

  • Select Activities from the Lists menu.

  • Select Activity List from the View Bar.

  • Click the Activity List icon.

    Related Topics

  • RPS User Interface Overview

  • Remote Programmer Toolbar

  • Context Menus and Keyboard Shortcuts

  • Activity Log Tab

  • View an Activity

  • Print a List Report


Activity Filter

Use the Activity Filter to specify what is displayed in the Activity List.

Field Name

Description

Start Range

When using the Filter function, entries for both Start Date and Start Time must be entered.

  • Start Date: Enter the start date for the period you want to view.

  • Start Time: Enter the starting time of day for the period you want to view.

IMPORTANT:

  • When entering Date/Time information in the Activity Filter window, you must enter it exactly as displayed in the Activity List. Use forward slashes (/) to separate date information and use uppercase letters for AM and PM (for example, 12/9/02 (space) 12:59 (space) AM).

  • Start Date and End Date entries cannot cross the year boundary. For example, do not enter 12/31/03 as the Start Date and 01/01/04 as the End Date.

End Range

When using the Filter function, entries for both End Date and End Time must be entered.

  • End Date: Enter the end date for the period you want to view.

  • End Time: Enter the ending time of day for the period you want to view.

IMPORTANT:

  • When entering Date/Time information in the Activity Filter window, you must enter it exactly as displayed in the Activity List. Use forward slashes (/) to separate date information and use uppercase letters for AM and PM (for example, 12/9/02 (space) 12:59 (space) AM).

  • Start Date and End Date entries cannot cross the year boundary. For example, do not enter 12/31/03 as the Start Date and 01/01/04 as the End Date.

Activity

  • Panel Name: Enter the name of the control panel you want to view.

  • Account #: Enter an account number in this field to view events only reported by this account.

  • User: Enter the name of the RPS operator.

  • Details: Enter specific event information (for example, "Name = Panel Account” or “User = ADMIN”").

Activity Groups

Check the boxes next to the types of activity you want to view.

Clear

Click this button to restore all filter fields to their default values.

OK

Click this button to apply the filter. The Activity List reappears showing only the events that fit the criteria as specified in the Activity Filter window.

Cancel

Click this button to close this window without accepting any selection/entry made.

Click the Filter button in the Activity List toolbar to open the Activity Filter window.

The Activity Filter window permits you to narrow the list of activity events to those that match specified criteria based on start and end dates, start and end times, account numbers, and/or user names.

    Related Topics

  • Activity Log Tab

  • Activity List Overview

  • View an Activity

  • Print a List Report


View an Activity

To view an Activity:

  1. Select an activity in the Activity List.

  2. Click View.

The Activity Data - View window opens and shows the activity's details in a window format.

    Related Topics

  • RPS User Interface Overview

  • Remote Programmer Toolbar

  • Context Menus and Keyboard Shortcuts

  • Activity Log Tab

  • Activity List Overview

  • Print a List Report


Print a List Report

A list report consists of the contents of the selected list's information columns.

  1. Click File→�Print.

    The List Report dialog opens.

Buttons and Fields | Description
Available Fields | Content changes according to the selected list. Click the appropriate check box to select or de-select report content.
OK | Click OK to open the a print preview window.
Cancel | Click Cancel to close the List Report dialog without printing the report.
Select All | Click Select All to select all of the Available Fields options.
Clear | Click Clear to deselect all of the Available Fields options.

  2. Click the appropriate check boxes in the Available Fields list to select the desired information columns.

  3. Click OK.

    A print preview window opens.

Note

NOTICE!

Content shown in the preview window changes according to the selected list.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

  4. Click Print to print the content from the selected information columns.


Entering a System Note

Use the System Note window to leave a message for the system operator who will use RPS at a later time.

To enter a system note:

  1. Select File→�System Note from the Remote Programmer User Interface.

    The View Notes - System Note window opens.

Field or Button Name | Description
Add Note Text | Type a note in this field.
Add Note | Click this button to add the note to the Notes field.
Date/Time | Click this button to add a date/time stamp to the note in the Add Note Text field. The date/time stamp is carried over with the note into the Notes field when you click the Add Note button. IMPORTANT: Click the Date/Time button before clicking the Add Note button.
Notes | This field displays any notes entered in the Add Note Text field when you click the Add Note button. Date/time stamps are also carried over with the note entry if added. You can edit notes in this field by selecting the note and typing over it.
OK | Click this button to accept the selection/entry made and close the window.
Cancel | Click this button to close this window without accepting any selection/entry made.

  2. Type the note in the Add Note Text field.

  3. Click Date/Time to add a date/time stamp.

  4. Click Add Note.

    The note and stamp appear in the Notes field.

  5. Click OK to save the note and close the window.

    You can then view and/or print all system notes.

    Related Topics

  • Generate a System Note Report

  • Sending Reports to a Printer

  • Saving Reports to Another Format or Location


Entering an Account Note

Use Account Notes to enter any notes that are relevant to a particular account. There are two methods of adding Account Notes to an account.

To enter an account note from the Panel Data window:

  1. Highlight a control panel account on the Panel List.

  2. Click the View icon.

    The Panel Data - View window opens.

  3. Click the Edit button.

    The Panel Data - View window turns into the Panel Data - Edit window.

  4. Type the account note in the Account Notes field.

  5. Click OK to save the note and close the Panel Data - Edit window.

To enter an account note from the Panel View window:

  1. From the Panel View window, click the Account Notes button.

  2. The Account Notes dialog opens. Type your note information, then click Save and OK.

    Related Topics

  • Add a New Control Panel Account

  • Change a Control Panel Account

  • Generate an Account Notes Report

  • Sending Reports to a Printer

  • Saving Reports to Another Format or Location


Generate a System Note Report

Click Reports→�System Note Report from the Remote Programmer User Interface.

The System Note Report window opens.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

You can do the following from this window:

  • View the system notes

  • Print the system notes (click the Print icon)

  • Save the report to another file format (click the Save As icon)

    Related Topics

  • Entering a System Note

  • Sending Reports to a Printer

  • Saving Reports to Another Format or Location


Generate an Account Notes Report

Click Reports→�System Note Report from the Remote Programmer User Interface.

The Account Notes Report window opens.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

You can do the following from this window:

  • View the system notes

  • Print the system notes (click the Print icon)

  • Save the report to another file format (click the Save As icon)

    Related Topics

  • Entering an Account Note

  • Sending Reports to a Printer

  • Saving Reports to Another Format or Location


Generate a Program Record Sheet (PRS)

Use the View Reports window to view and/or print a copy of a control panel account's Program Record Sheet (PRS) report. A printed copy of this report can be saved for reference or used for troubleshooting purposes.

    To generate a PRS report:

  1. Highlight an account from either the Panel List or Template List.

  2. Click Reports→�System Note Report from the Remote Programmer User Interface.

    The View Reports window opens.

Note

NOTICE!

The fields and buttons in the following table appear for all control panels except the Easy Series V3+.

Field or Button Name | Description
Report Pane | Click a control panel report. The contents of the report appear in the information field to the right. These reports vary from one control panel type to another. You can select only one report to view at a time.
Print | Click to print the selected report.
Save As | Click to save the report to another file format and/or location.
Multiple Reports | Click to open the Multiple Reports window. Select one, some, or all available reports and save or print the selected reports. Note: This option is not available for all control panel types.
Copy | Click to copy the report content in its entirety to the PC's clipboard. The content can then be pasted into another application, such as Microsoft® Word or Notepad.
Find | Click this icon to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Single Page | The report preview is reduced to showing only a single page. Click to automatically increase the zoom percentage so that the single page is shown more clearly. This icon is available only when viewing a report in the multiple page format.
Multiple Pages | Click to select the number of pages shown and the order in which they are shown from a selection grid. This icon is available only if the previewed report contains more than one page and when viewing a report in the single page format.
Zoom In | Click to increase the page magnification percentage (zoom in).
Zoom Out | Click to decrease the page magnification percentage (zoom out).
Resize Menu | Click the arrow icon to choose from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by highlighting the percentage and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
Page Up | Click to move up through additional pages of the report.
Page Down | Click to move down through additional pages of the report.
Page Count | This field shows the page number currently shown from the total number of pages in the report.
Information Field | This field shows the contents of the report in a printable format.
Note

NOTICE!

The buttons in the following table appear only when the Easy Series V3+ control panel is selected.

Field Name | Description
Print | Click to print the selected report.
Change Logo | Click to open the Change Report Logo window. In the Files of Type field, select .jpeg, .bmp. or .jpg (the only file types permitted). Navigate to the logo graphic file and select it. Click the Open button to replace the existing logo with the new logo on the report.
Save As | Click to save the report to another file format and/or location.
Find | Click to open a standard search window that can be used to locate any word or words that might appear in the previewed report.
Zoom | Click to open a list of preset sizes.
Zoom Menu | Select from a list of preset sizes. The report resizes to the selected percentage. You can also enter a size by selecting Customize from the list and typing in a new value. Making an entry this way is not restricted to the values in the drop-down menu.
First | Click to move to the first page of the report.
Previous Page | Click to move to the previous page of the report.
Next Page | Click to move to the next page of the report.
Last | Click to move to the last page of the report.
Go To Page | Click to open a window that allows you to select a specific page in the report.
Information Field | This field shows the contents of the report in a printable format.

  3. Select a report type from the Report Pane.

When the selected report type opens in the Report Pane, you can:

  • View the report

  • Print the system notes (click the Print icon)

  • Save the report to another file format (click the Save As icon)

    Related Topics

  • Entering an Account Note

  • Sending Reports to a Printer

  • Saving Reports to Another Format or Location


Sending Reports to a Printer

To print the PRS, System Notes or Account Notes:

  1. If you want to print a PRS, first select the control panel account.

    If you want to print system notes or account notes, skip this step.

  2. Click Reports on the Remote Programmer User Interface, and then click a report type.

    The View Report window opens.

  3. Click the Print icon.

    A print window opens. You can change your settings and the target printer here.

  4. Click OK to print the report.

Note

NOTICE!

Panel report printouts are forced to certain settings that cannot be changed, such as page orientation (portrait or landscape) and text font size.

    Related Topics

  • Generate a System Note Report

  • Generate an Account Notes Report

  • Generate a Program Record Sheet (PRS)

  • Printing Multiple Reports

  • Saving Reports to Another Format or Location


Printing Multiple Reports

To print multiple reports simultaneously:

  1. Click the Multiple button on the Panel View Reports window.

    The Multiple Reports window opens.

Note

NOTICE!

The Multiple button is not available for all control panel types.

Field Name | Description
Reports Pane | Select the desired reports. A check mark appears next to the report's name. These reports vary from one control panel type to another.
Select All | Click this button to select all reports. check marks appear in the boxes for all reports.
Clear | Click this button to clear all selected reports.
Print | Click this button to print the selected reports.
Save | Click this button to save the files to another file type. The Save File As window opens. Refer to Saving Reports to Another Format or Location.
Close | Click this button to close the window without taking any action.

  2. Check the desired reports in the Reports Pane, or click Select All to select all reports for printing.

  3. Click Print.

    A print window opens. You can change your settings and the target printer here.

    If necessary, click Save As to save the reports to another file format.

    Related Topic

  • Saving Reports to Another Format or Location


Saving Reports to Another Format or Location

To save reports to another file format or location:

  1. Click the Save As icon from either the View Reports window or the Multiple Reports window.

    The Save File As window opens.

Field or Button Name | Description
File Pane | If the file format selected in the Export Format menu matches any files in the selected location, the names of those files and their file types appear in this field.
Drive Menu | Use this menu to select the drive you want to save your report to. This menu lists all of the PC's available drives. The drive selected here appears in the Drive Directory.
Drive Directory | Use this directory to choose a location within a drive to save your report to. To access sub-folders within a folder, double-click the folder. To switch to a different drive, use the Drive Directory.
Filename | Use this field to enter the name of the report. The default name identifies the control panel type and the report name.
Export Format | Use this menu to select the file type to save to. Supported formats include Portable Document Format (.pdf), Rich Text Format (.rtf), Microsoft® Excel (.xls), HTML Document (.htm), and Text Only (.txt).
Apply to All | If more than one report is selected in the Multiple Reports window, this check box is available.If all of the selected reports are to be printed using the same file format (for example, three reports are selected and you want all three printed as PDFs), checking this box prints all selected files in the selected file type and to the specified location using the reports' default names.If this box is unchecked and multiple reports are selected, you are prompted to rename each file separately.
Save | Click this button to save your report in the selected file format and/or the selected location.
Cancel | Click this button to close this window without accepting any selection/entry made.

  2. Enter a file name in the Filename field.

  3. Select file type for the file from the Export Format field.

  4. Select a location to save the file from the Drive Menu and Drive Directory.

  5. Click Save.

Note

NOTICE!

To preserve the report's formatting as it appears in the View Reports window, use the Print button on that window. Saving a report in one of the available exportable formats and then opening it in the native file program (for example, a report is saved as a Microsoft® Excel document and then opened in Excel) may cause the report's formatting to change.

    Related Topics

  • Generate a Program Record Sheet (PRS)

  • Printing Multiple Reports


Backup

Note

NOTICE!

  • The following can be backed up in RPS 5.x:

    • Control panel accounts

    • Control panel templates

    • Operators

    • Unattended Time windows

    • History lists

    • Datalock codes

    • Activities

    • Security Levels

  • Backup file names cannot include a question mark (?).

  • Back up the database file periodically to another drive.

    To back up the current data file:

  1. Click File→�Backup from the Remote Programmer User Interface.

  2. In the Backup Filename window, do the following:

    1. In the Save in field, specify where you want to save the backup file.

    2. In the File name field, enter a name for the backup file.

    3. Click Save.

    Related Topics

  • Restore

  • Import

  • Export


Restore

    To restore the current data with the data from a backup:

  1. Click File→�Restore on the Remote Programmer User Interface.

  2. In the Import Accounts window, do the following:

    1. In the Look in field, specify where the backup file is located.

    2. In the File name field, enter a name for the backup file.

    3. From the Files of type menu, select a file type for the backup file.

    4. Click Open to restore data from the backup file.

    Related Topics

  • Backup

  • Import

  • Export


Import

    To import an account created in RPS:

  1. Click File→�Import from the Remote Programmer User Interface.

The Import Accounts window appears.

  2. In the Import Accounts window, do the following:

    1. Specify a location where the file to import is located in the Look in field.

    2. Enter a name for the backup file in the File name field.

    3. Select a file type for the backup file from the Files of type menu.

    4. Click Open to restore data from the backup file.

      If a duplicate account exists, the Panel Name Exists window opens. Refer to the table below for descriptions of the field and buttons on this window.

Field/Button | Description
Name Field | This field shows the account name that already exists. To change the name, select it and type over it.
OK | Click this button after you change the account’s name and are ready to continue with the Import process.
Skip | Click this button to skip over importing the duplicate account.
Skip All | Click this button to skip over importing all duplicate accounts.
Cancel | Click this button to cancel the entire import process.

Enter a new name for the imported account, or click Skip to skip this account. If more than one duplicate account exists, enter a new name for each account, or click Skip All to skip all duplicate accounts. Skipped accounts are not imported.

Caution

CAUTION!

  • If you click OK without entering a new account name in the Panel Name Exists window entry field, a duplicate account is created.

  • To import the same account twice (in a case where the first account did not convert properly, and so on), delete the account that was imported the first time before importing the account again.

    Related Topics

  • Backup

  • Restore

  • Export


Export

Note

NOTICE!

  • Export file names cannot include a question mark (?).

  • You can back up account templates and control panel accounts.

  • You can export only control panel accounts.

    To export an account:

  1. Click File→�Export on the Remote Programmer User Interface.

  2. Select an export option:

    • All: Use this option to export all accounts currently in RPS to a specified location.

    • Selection: Use this option to export selected accounts currently in RPS to a specified location.

Exporting All Accounts to a Specified Location

  1. In the Save In field, specify where you want to export the selected panel account(s).

  2. In the File name field, enter a name for the exported account(s).

  3. Click Save.

Exporting Selected Accounts to a Specified Location

  1. From the Panel Name field, click the box next to the name of each account you want to export.

  2. Click OK when all desired accounts are selected. The Export Selection window opens.

  3. In the Save in field, specify where you want to export the selected panel account(s).

  4. In the File name field, enter a name for the exported account(s).

  5. From the Save as type menu, select a file type for the exported account(s).

  6. Click Save.

    Related Topics

  • Backup

  • Restore

  • Import


Using the Locate Window

Note

NOTICE!

On the History List (refer to History List), use the Filter button (refer to History Filter) to locate specific history-related information.

To search for information within a List, click the Locate icon.

The Locate window opens. Use this window to narrow down your search.

Field/Button Name

Description

Search In

Use this menu to specify the search range in which to search for the desired entry.

  • All Fields: Select this option to search all of the list's fields for the specified information.

  • Column Title: Select this option to search for the specified information in one of the list's columns. These options represent the list's column titles and vary from one list to another.

    Note: Select “Central Station Phone Number” or “Account Number” to search within the control panel accounts.

Locate What

When a selection is made in the Search In field, the Locate What field automatically filters all existing records and provides a list of relevant selections. You can also enter a word, phrase, or value to search for. After you complete a search, this field is automatically cleared.

Match If

Use this drop-down menu to further narrow your search.

  • Contains: Locate returns hits that contain the search string.

  • Exact: Locate returns hits that contain only the search string.

  • Greater than: Locate returns hits that have a value greater than that of the search string.

  • Greater or equal: Locate returns hits that have a value greater than or equal to the search string.

  • Less: Locate returns hits that have a value less than the search string.

  • Less or equal: Locate returns hits that have a value less than or equal to the search string.

Search From

  • Viewed List: Search the list of accounts displayed if the Panel filter is activated.

  • Entire Database: Search all accounts regardless of the Panel filter setting.

Locate

Click this button to begin the search. If no match is found, a message displays indicating that the text was not found. If a match is found, the Found Items window opens (refer to Items Found Window).

Close

Click this button to close the window without taking any action.

    Related Topic

  • Items Found Window


Items Found Window

The Items Found window opens if a match is found when using the Locate window.

Pane/Button Name | Description
Items Found | This pane shows any found items. Content is dependent on the item searched for and the criteria used to narrow the search. To perform any tasks using the buttons to the right, select a row.
View | Click this button to open a view window. This window might not be active depending on the item searched for and the criteria used to narrow the search.
Open | Click this button to open the item. This window might not be active depending on the item searched for and the criteria used to narrow the search.
Report | Click this button to open a report window. This window might not be active depending on the item searched for and the criteria used to narrow the search.
Cancel | Click this button to close this window without accepting any selection/entry made.

    Related Topic

  • Using the Locate Window


Finding and Replacing Information

RPS provides the ability to find and replace specific data within a control panel, group, or the entire database.

To find and/or change specific information in a control panel, group or database, click the Find/Replace button on the Panel View window toolbar. The Find/Replace window opens.

Field/Button Name | Description
Find what | Enter the word, phrase, or value to search for in this field.
Replace with | Enter the word, phrase, or value in this field to replace the entry made in the Find what field.
Match Case | Check this box to make the search criteria case-sensitive. This box is not checked by default.
Find | Click this button to start the Find/Replace process.
Replace | Click this button to make the replacement when a Find what field match is found.
Cancel | Click this button to close this window without accepting any selection/entry made.
Note

NOTICE!

Find/Replace does not perform a global Find/Replace. For example, if you want to find a Yes entry and replace it with a No entry, Find/Replace only performs this change on one selected field at a time.

The settings for some features cannot be made independently from the other features within a parameter set. Find/Replace will not make the desired change to these parameters. For example, the following features in a DS7240/DS7220 or D6412/D4412 control panel account must be set according to allowable combinations:

  • Enable Supervision (System Trouble at Keypad)

  • Burg Alarm and Strobe Functions, All On or Perimeter Only

  • Burg Alarm and Strobe Functions, Off


Comparing Panel Accounts and Templates

You can use RPS to select another control panel and compare its contents to the control panel currently open. You can also compare templates using this feature. However, you can only compare like panel types (for example, a DS9400 with a DS9400).

To compare the contents of one control panel type to another similar control panel type, click the Compare button in the toolbar.

The Select Target window opens.

Field/Button Name

Description

Target Information

  • Name: This column shows the name of the panel account as entered in the Panel Data – Edit window.

  • Description: This column shows the control panel account’s description as entered in the Panel Data – Edit window’s Description field.

  • Type: This column identifies the account’s type (control panel or template.

Open

Click this button to open the Compare window.

Cancel

Click this button to close this window without accepting any selection/entry made.

To begin a Compare session, click the Open button in the Select Target window. The Compare window opens.

Note

NOTICE!

The screen shot above shows the results of a Compare session. When the Compare window first opens, the Compare Results window is empty.

Field/Button Name

Description

File

The File menu contains a Print option that allows you to print the results of a completed Compare session. When Print is selected, a Print window opens that allows you to adjust printer settings and print the report.

Source/Target

  • Source: This read-only field names the source account against which the target account will be compared.

  • Target: This read-only field names the target account that will be compared to the source account.

Begin Compare

Click this button to begin comparing the target account with the source account.

Cancel Compare

Click this button to cancel a Compare session that has already begun. This button is inactive (grayed out) before a Compare session has begun and after it has completed.

Done

Click this button to close the Compare window when you have finished comparing accounts.

Results Pane

If differences were found between the source account and the target account, the results of the Compare session appear in this window. If no differences are found, this window remains empty.


Control Panel Account Overview

A new control panel account contains programming information based on default factory settings, an existing control panel, or a template. To change any of this programming information, you must open the account and edit its settings. These settings reside in the Panel View window.

To access the Panel View window:

  1. Highlight the desired account in the Panel List.

  2. Double-click it or click the Open icon on the Panel List toolbar.

    The Panel View window for the selected account opens.

Field Name

Description

Toobar

  • Back: Click this button to view the previously selected item.

  • Forward: Click this button to view the next item.

  • Compare: Click this button to compare two different accounts. Accounts must be of the same control panel type to compare.

  • Find/Replace: Click this button to find a specific item in the account. When the item is found, it can be replaced with a valid entry.

  • Security: Click this button to load the security table information from the Program Record Sheet. Press [F5] to edit the security level assigned to the selected field (refer to Setting Security Levels in the Control Panel Account). The Security button changes to the Save Security button to save the security changes.

  • Connect: Click this button to connect to the control panel.

  • View History: Click this button to view the control panel's history log.

  • Account Notes: Click this button to open the Account Notes window.

Account Name

This line identifies the name of the account as entered in the Panel Data - Edit window (refer to Add a New Control Panel Account).

Tree Pane

This area lists the programming categories within an account. Click a node with a plus sign (+) next to it to open the node. When the node is open, the plus sign is replaced by a minus sign (-). Click the minus (-) to close the node.

Panel Items Pane

This area lists the programming categories in the Tree Pane. Use this pane to move quickly between programming categories. When you click an item in this pane, the corresponding item in the Tree Pane becomes active.

Account Settings Pane

This pane lists all of the parameters within the selected programming category. The name of the parameter is shown on the left and the value cell is on the right. The value cells show the current (or default) settings for the parameters. Selecting a value cell and pressing [F1] on the keyboard calls up parameter-specific help. You can resize this pane by grabbing its edge and moving it up or down to the desired height.

Show Color

RPS allows you to view some entries in the Panel Settings Pane in color. Use this option to quickly identify programming settings. RPS enables this option (check mark in box) by default. To disable it, click the box to clear the check mark.

Pivot

If you want to change the view of the Panel Settings Pane, check the Pivot box to rotate the Panel Settings Pane on its axis. Columns become rows and rows become columns.

Read-only Fields

  • Last Modified: This field indicates when the account was last changed.

  • Last Received: This field indicates when the account was last updated by receiving panel data.

  • Last Sent: This field indicates when the account's information was last sent to the control panel.

Save

Click this button to save any programming changes and close the Panel View window.

OK

Click this button to close the Panel View window. If programming data has changed but not yet saved, you are asked to save programming changes before closing the Panel View window.

Cancel

Click this button to close the Panel View window. If programming data is changed but not yet saved, you are asked to save programming changes before closing the Panel View window.

Quick Help

This area shows quick help when the cursor is held over a parameter cell. For detailed help, select a value cell and press [F1] on the keyboard.

Note

NOTICE!

Upon entering this window, the control panel's records are locked in the database to prevent others from editing data at the same time if the database is in a shared directory.

    Related Topics

  • Changing Control Panel Settings

  • Panel Communication Window


Changing Control Panel Settings

    The way in which you change the value in the Panel Settings pane depends on the field.

  • In fields that accept only a list of entries (for example, YES/NO or 1 through 8), you can select the field and press the space bar to cycle through the choices.

  • In fields where a text string is expected, you can select the field and begin typing. For text-string fields, press Enter when you are finished entering the text. Alternatively, you can double-click in the appropriate field and enter the desired information in the window that appears.

You can select a field by either clicking on it or by using the arrow keys.

For specific information on control panel programming, consult the appropriate manual for the panel you are programming or the online Help. You can access Help by clicking the programming item about which you want to receive more information, or by pressing the [F1] key on the keyboard.

After the panel has been satisfactorily programmed, click Save and then click OK. Save will save the changes you made without closing the Panel View window. If you click OK before saving the changes, RPS prompts you to save the changes before closing the account. Click No to return to the Panel View and save the changes. Click Cancel to exit from the window without saving changes.

Note

NOTICE!

For changes to become effective in the control panel, you must call the control panel and send data to the control panel.

    Related Topics

  • Editable Field Window

  • List Window

  • Range Window

  • Time Input Window

  • Panel Communication Window


Editable Field Window

Double-click to open Editable Field window for programming cells that contain strings of text or numerical values.

Field Name | Description
Data Value | When the window opens, the Data Value field shows the current (or default) setting. To change the entry shown in the Data Value field, highlight it and type the new entry over it.
OK | Click this button to accept the selection/entry made and close the window.
Cancel | Click this button to close this window without accepting any selection/entry made.

    Related Topics

  • Changing Control Panel Settings

  • List Window

  • Range Window

  • Time Input Window


List Window

Double-click to open a List window for programming cells that limit the options available (such as "Yes" or "No," or 1 through 8, and so on).

Field Name | Description
Data Value | When the window opens, the Data Value field shows the current (or default) setting.
Values | This area lists all of the available choices. Click a value to select it. The choice now appears in the Data Value field.
OK | Click this button to accept the selection or entry and close the window.
Cancel | Click this button to close the window without accepting any changes.

    Related Topics

  • Changing Control Panel Settings

  • Editable Field Window

  • Range Window

  • Time Input Window


Range Window

A Range window opens for programming cells that limit the options available to a specified range.

Field Name | Description
Data Value | When the window opens, the Data Value field shows the current (or default) setting.
Increment | This field shows the accession rate between the minimum and maximum entries.
Ranges | This read-only field shows the minimum and maximum entries for the parameter.
OK | Click this button to accept the selection or entry and close the window.
Cancel | Click this button to close this window without accepting any changes.

    Related Topics

  • Changing Control Panel Settings

  • Editable Field Window

  • List Window

  • Time Input Window


Time Input Window

The Time Input window opens for any field that requires a time of day to be entered.

Field Name

Description

Time Entry Field

To enter a specific time, click the Up/Down arrows until the time is displayed. You can also highlight a field with the cursor and type in the number.

To switch from the Hours field to the Minutes field, press the [Tab] key on the keyboard, or highlight the field by clicking on it.

Disable

This check box disables the parameter regardless of the entry made. “Disable” appears in the programming cell. This option is not available on all Time Input windows.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

    Related Topics

  • Changing Control Panel Settings

  • Editable Field Window

  • List Window

  • Range Window


Viewing Control Panel History

You can view a control panel's event history any time a control panel account is open by clicking the View History button in the toolbar.

The Panel History window opens.

Field/Button Name | Description
History List Information | These columns display event-related information.These columns can be sorted in either ascending or descending order by clicking on the column title button. Sorting is done by character, then numeric, then alpha.
Done | Click this button to close this window.

To get the most recent events from a control panel, you must call it and then retrieve its history.

Related Topic

History List


Panel Communication Window

You must be online with a control panel in order to send or receive programming data, or view the control panel's current status.

  1. After all changes are made to the control panel account's programming data, click Save.

  2. Click Connect.

    The Panel Communication window opens.

Field Name

Description

Connect Via

This menu shows the connection methods available to RPS for control panel communication. Selections vary depending on control panel type.

RPS Passcode

This code can be used to restrict unauthorized access to the control panel. If you do not want to use this code, leave it at the default setting to ensure an RPS-to-control panel connection. Entries can consist of numbers (0 to 9) and letters (A to F).

Panel Phone

This field allows you to enter the phone number that will reach the control panel's RJ jack. RPS shows the number as entered in the Panel Data - Edit window. You can change this number by selecting the number displayed and entering a new number.

Changing the number here overrides the setting made in the Panel Data - Edit window only for the current communication attempt. Consult your modem's literature for instructions on adding delays, pauses, and other dialing features to the phone number.

Com Port

This field allows you to select a different communication (Com) port for the modem to call the control panel. This field shows the default Com port selection (or the selection made on the System Configuration Modem tab), however you can change this number by clicking in the field and entering the number of an available Com port. Refer to Modem Tab for information about the Modem tab.Changing the entry here overrides the setting made on the System Configuration Modem tab only for the current communication attempt.

Baud Rate

This field shows the speed setting used by the modem to communicate with the control panel. Click the arrow to select from the available rates.Changing the entry here affects only the current communication attempt.

Init (Initialization) String

This field shows the initialization string that RPS uses to set the modem for panel communication. The string changes depending on the modem selected on the System Configuration Modem tab (refer to Modem Tab).Changes made here override the modem init string settings shown on the System Configuration Modem tab only for the current communication attempt.

Status

This field shows the progress of the communication attempt.

Connect

Click this button to start a communication session. It is inactive (grayed out) if no phone number is entered in the Panel Phone field.

Answer

Click this button to answer an incoming call from the control panel. To use this button, the control panel must first initiate the call and already be ringing the modem.

Cancel

Click this button if you do not want to communicate with a control panel.If a communication attempt is in progress, the Cancel button turns into the Abort button. Click the Abort button to cancel a communication attempt already in progress.

The fields and selections in this window vary depending on the control panel type.Refer to the control panel account's online help file for information for each specific control panel communication window.

Note

NOTICE!

Some modems might cause RPS to generate an invalid remote passcode message as a result of a busy phone line.Calling an invalid control panel type might not always display an "Invalid Panel Type" error message. It might display an "Invalid Remote Passcode" error message.

Related Topic

Modem Tab


Synchronizing Control Panel and RPS Data

When RPS connects to the control panel, it performs a cyclic redundancy check to ensure that the programming information in it matches the programming information in the control panel.

If there are any differences, the Panel Sync window opens.

Button Name

Description

Receive Panel Data

To receive the control panel's data, either to view the differences between the control panel's program and RPS's program or to replace RPS's program with the control panel's program, click Receive Panel Data and then click OK. After the Receive is completed, the Panel Update window opens (refer to Control Panel Update).

Send RPS Data to Panel

Select Send RPS Data to Panel if this is the first time you have contacted the control panel and you wish to send the programming information, or if you have made changes to the program and now you wish to have those changes take effect in the control panel. Then click OK.

IMPORTANT: Some control panels restrict the ability to send data to the panel based on entries made in the program.

No Update

You can choose not to update either RPS or the control panel by clicking No Update and then clicking OK. This window then closes and you may begin other online operations.

Important: On some control panels, if No Update is selected, an additional "Abort Synchronization" window appears indicating that diagnostics may not be accurate. Perform a Receive and then save any changes, or perform a Send prior to entering Diagnostics.

OK

Click this button to accept the selection/entry made and close the window.

Cancel

Click this button to close this window without accepting any selection/entry made.

Related Topic

Control Panel Update


Automatic Data Synchronization

This option is available only to the Easy Series V2+ and V3+ control panel types.You can configure RPS to automatically synchronize programming data between the RPS account and the control panel.

Enabling Auto Data Synchronization

On the Panel Data window, click the Auto Sync Enabled box. RPS then uses time stamps and checksums to synchronize data between the RPS account and the control panel.

Note

NOTICE!

If the Auto Sync Enabled box is checked, the PC clock setting in RPS must be correct to ensure proper data synchronization (refer to Resetting a Control Panel’s Date and Time).

Time Settings Confirmation

By default, the Time Settings Confirmation window opens every time you open an Easy Series V2+ or V3+ account in RPS. Click Yes if the date and time settings on the RPS PC are correct. The control panel account opens.

If you click No on the Time Settings Confirmation window, a warning message appears and the account does not open.

Note

NOTICE!

You must update the date and time settings on the RPS PC in order for the Auto Sync Enabled option to work properly.

There are two ways to prevent the Time Settings Confirmation window from appearing after you open the account for the first time:

  • On the Time Settings Confirmation window, check the Don't Ask Me This Again box.

  • On the Modem Tab (Config→�System), clear the Prompt for Time Setting Confirmation box.

If you want the Time Settings Confirmation window to appear every time you open an Easy Series V2+ or V3+ account, check the Prompt for Time Setting Confirmation box on the Modem Tab.

UTC (Coordinated Universal Time) Setting

Proper auto data synchronization also depends on the control panel's correct UTC setting. In either the Panel Data-New or Panel Data-Edit windows, select the approriate time zone from the Hours:Minutes from UTC menu.

Disabling Auto Data Synchronization

If the Auto Sync Enabled box is not checked, you must manually synchronize data using the Panel Update window (refer to Control Panel Update).


Control Panel Update

After data is sent from the control panel to the RPS account, the Panel Update window opens if there are differences between the control panel's programming data and the RPS account's programming data.

Button Name | Description
Compare | This option allows you to compare the control panel's program with RPS's program. If you click Compare, the Compare window opens.
Save | This option allows you to replace the programming data in the RPS account with the programming data from the control panel.
Cancel | This option allows you to exit this window without comparing the panels or saving the panel's data, and returns you to the Panel Data window.

Related Topic

Comparing Panel Accounts and Templates


Control Panel Events While Online

Note

NOTICE!

When you are online with a control panel using a modem, the control panel can generate an event. If you are online with a DS9400 or D7024 Fire Alarm Control Panel (FACP), the RPS session automatically terminate if an event occurs. If you are online with any other control panel, a warning box opens.

If an event occurs when you are online with a control panel, an event warning window opens and provides you with options for handling the event.

Note

NOTICE!

This window changes depending on the control panel. The window shown above is from a DS7240 control panel.

Field/Button Name

Description

Hang Up Now

If you click this button, RPS immediately disconnects from the control panel and allows it to report the event to the central station.

Continue, Ignore New Events

If you click this button, the warning box closes and does not reopen while you are online with the control panel.

Continue, Show New Events

If you click this button, the warning box closes but reopens if an event with a different priority level occurs.

Auto Terminate Timer

The Auto Terminate Timer represents the amount of time (in seconds) that is allowed to pass before RPS disconnects from the control panel if no action is taken while the event warning box is open.The Event Warning Timeout selection on the System Config Communications tab (refer to Communications Tab) sets the timer. The allowable range is between 5 and 120 seconds.

New Events

As events occur, they are categorized into event groups. Event check boxes represent these groups (an event causes its event group box to be checked). Check your control panel's manual for event group assignments.

Display Event Alert Help

Clicking this button opens a secondary window that lists all control panel events with descriptions by their assigned event groups.

IMPORTANT: The Event Alert Help window only stays visible for the duration of the Auto Terminate Timer. If no action is taken within the Auto Terminate Timer limit, RPS automatically disconnects from the control panel, closing the Event Alert Help window. You must reconnect to the control panel if more interaction with the control panel is required.


Resetting a Control Panel’s Date and Time

You can reset a control panel's date and time parameters from the Panel tab on the Diagnostics window to match the RPS PC's date and time settings.

To synchronize the control panel's date and time with the RPS PC's date and time, click the Date/Time button on the Panel tab of the Diagnostics window.

The Set Panel Date/Time window opens.

Note

NOTICE!

The Set Panel Date/Time window might vary by control panel type.

Field/Button Name

Description

System Date/Time

The information in this box is obtained from your PC's internal clock.

Last Requested

The information in this box shows the control panel's date and time from the last time the information was requested.

Get Current

Click this button to obtain the control panel's current date and time.

Panel Time Adjustment

You can also account for time zone differences by selecting the correct time zone differential in the Panel Time Adjustment box.

For example, if the panel is located in California, USA and RPS is located in New York, USA, the panel time adjustment would be set for -3. Click the Up/Down arrows to enter a time setting (Down arrow for negative (-) number entries; Up arrow for positive (+) number entries).

IMPORTANT: Panel Time Adjustment is +/- 24 hours.

This field is not available for all control panel types.

Update Panel

If the date and time in the System Date/Time box is inconsistent with the date and time shown in the Last Requested box (after the Get Current button has been clicked), click the Update Panel button. This sends the new date and time to the control panel.The Set Date/Time window automatically closes when this button is clicked.

Cancel

Click this button to close this window without accepting any selection/entry made.

Note

NOTICE!

If you are adjusting the date and time from the Panel tab in Diagnostics, RPS cannot update the year if the adjustment crosses the year boundary.

For example, if the current date is December 31st and you set the Panel Time Adjustment to +24 hours, RPS does not update the year because the adjusted date and time are in the new year. Also, if the current date is January 1st and you set the Panel Time Adjustment to -24 hours, RPS does not update the year because the adjusted date and time are in the previous year.

To adjust the date/time according to either of these scenarios, you must manually make the changes from the control panel or from your PC that is running RPS.


Disconnecting from a Control Panel

When you are finished communicating with a control panel, you must disconnect from it by clicking the Disconnect button. If you attempt to exit before you disconnect, an error message will appear.Check the Panel Specific sections in the control panel online help files for more detailed disconnection instructions.


Activity List

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Communicating with a Control Panel

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Context Menus and Keyboard Shortcuts

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Control Panel Accounts

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Control Panel Settings

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Datalock

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Entering Notes

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


File Locations

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Generating Reports

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Hardware Installation

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


History List

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Installation

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Introduction

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Locating Information

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Log In and Log Out

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Managing Files

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Managing Operators

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Minimum System Requirements

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Modem

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Notes and Reports

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Panel List

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


RPS User Interface

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Running Unattended Service using a Networked Database

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Security Levels

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


System Configuration

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Template List

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Unattended Service

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


UOM/UON Tab

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Upgrading Existing RPS Installations

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved


Window List

RPS Help Build 9. Copyright © 2008 Robert Bosch GmbH. All rights reserved